/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;
// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA

/**
 * Implementation of DateTimeFormatInfo for the "hsb" locale.
 */
public class DateTimeFormatInfoImpl_hsb extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "dopołdnja",
        "popołdnju"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, d. MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d. MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d.M.y";
  }

  @Override
  public String dateFormatShort() {
    return "d.M.yy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "před Chrystowym narodźenjom",
        "po Chrystowym narodźenju"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "př.Chr.n.",
        "po Chr.n."
    };
  }

  @Override
  public String formatHour24Minute() {
    return "H:mm 'hodź'.";
  }

  @Override
  public String formatHour24MinuteSecond() {
    return "H:mm:ss";
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d. MMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, d. MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d.M.";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d. MMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d. MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M.y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "d.M.y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, d. MMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "januara",
        "februara",
        "měrca",
        "apryla",
        "meje",
        "junija",
        "julija",
        "awgusta",
        "septembra",
        "oktobra",
        "nowembra",
        "decembra"
    };
  }

  @Override
  public String[] monthsFullStandalone() {
    return new String[] {
        "januar",
        "februar",
        "měrc",
        "apryl",
        "meja",
        "junij",
        "julij",
        "awgust",
        "september",
        "oktober",
        "nowember",
        "december"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "j",
        "f",
        "m",
        "a",
        "m",
        "j",
        "j",
        "a",
        "s",
        "o",
        "n",
        "d"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "jan.",
        "feb.",
        "měr.",
        "apr.",
        "mej.",
        "jun.",
        "jul.",
        "awg.",
        "sep.",
        "okt.",
        "now.",
        "dec."
    };
  }

  @Override
  public String[] monthsShortStandalone() {
    return new String[] {
        "jan",
        "feb",
        "měr",
        "apr",
        "mej",
        "jun",
        "jul",
        "awg",
        "sep",
        "okt",
        "now",
        "dec"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "1. kwartal",
        "2. kwartal",
        "3. kwartal",
        "4. kwartal"
    };
  }

  @Override
  public String timeFormatFull() {
    return "H:mm:ss zzzz";
  }

  @Override
  public String timeFormatLong() {
    return "H:mm:ss z";
  }

  @Override
  public String timeFormatMedium() {
    return "H:mm:ss";
  }

  @Override
  public String timeFormatShort() {
    return "H:mm 'hodź'.";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "njedźela",
        "póndźela",
        "wutora",
        "srjeda",
        "štwórtk",
        "pjatk",
        "sobota"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "n",
        "p",
        "w",
        "s",
        "š",
        "p",
        "s"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "nje",
        "pón",
        "wut",
        "srj",
        "štw",
        "pja",
        "sob"
    };
  }
}
