/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

import com.google.gwt.core.client.JavaScriptObject;

// DO NOT EDIT - GENERATED FROM CLDR DATA

/**
 * Localized names for the "lo" locale.
 */
public class LocalizedNamesImpl_lo extends LocalizedNamesImpl {

  @Override
  public String[] loadLikelyRegionCodes() {
    return new String[] {
        "LA",
    };
  }

  @Override
  public String[] loadSortedRegionCodes() {
    return new String[] {
        "XA",
        "XB",
        "GR",
        "GL",
        "GU",
        "GY",
        "QA",
        "GH",
        "GA",
        "KH",
        "GN",
        "GW",
        "KW",
        "GP",
        "GT",
        "CD",
        "CG",
        "KZ",
        "BQ",
        "CM",
        "KI",
        "CU",
        "CW",
        "KG",
        "JM",
        "GI",
        "DJ",
        "CN",
        "GE",
        "JO",
        "TD",
        "WS",
        "SA",
        "EH",
        "SX",
        "ZW",
        "CL",
        "SY",
        "SD",
        "SS",
        "SR",
        "JP",
        "PS",
        "DG",
        "TN",
        "TV",
        "TT",
        "TA",
        "TO",
        "TJ",
        "TZ",
        "TL",
        "VA",
        "NA",
        "NR",
        "NI",
        "NC",
        "NZ",
        "NE",
        "NU",
        "NO",
        "BR",
        "BN",
        "BW",
        "BA",
        "BD",
        "BG",
        "BB",
        "BS",
        "BH",
        "BI",
        "PK",
        "PG",
        "PW",
        "FR",
        "PT",
        "PA",
        "PY",
        "BT",
        "FJ",
        "FI",
        "PH",
        "MN",
        "MT",
        "MS",
        "ME",
        "MV",
        "MO",
        "MG",
        "MQ",
        "YT",
        "MW",
        "ML",
        "MY",
        "MU",
        "MR",
        "MM",
        "UA",
        "RW",
        "RU",
        "LV",
        "LA",
        "LI",
        "LT",
        "LY",
        "LR",
        "LU",
        "VU",
        "WF",
        "SZ",
        "SJ",
        "CH",
        "SE",
        "UN",
        "EU",
        "US",
        "AE",
        "GB",
        "ES",
        "SK",
        "SI",
        "CF",
        "GM",
        "DO",
        "SG",
        "LK",
        "FK",
        "MH",
        "FO",
        "CC",
        "SB",
        "AX",
        "VN",
        "AU",
        "AT",
        "AD",
        "DZ",
        "AF",
        "ZA",
        "AW",
        "AR",
        "AZ",
        "AS",
        "AM",
        "IT",
        "IN",
        "ID",
        "IL",
        "ET",
        "EG",
        "IQ",
        "IR",
        "UZ",
        "UG",
        "UY",
        "HN",
        "HU",
        "HK",
        "GD",
        "CX",
        "CP",
        "NF",
        "BV",
        "AC",
        "GG",
        "KP",
        "KR",
        "EZ",
        "QO",
        "TF",
        "IO",
        "KE",
        "CV",
        "JE",
        "SL",
        "KN",
        "BL",
        "PM",
        "MF",
        "LC",
        "VC",
        "SN",
        "SH",
        "EA",
        "CZ",
        "RS",
        "ST",
        "SC",
        "DK",
        "TM",
        "TR",
        "NP",
        "NL",
        "BJ",
        "BY",
        "BZ",
        "BE",
        "BF",
        "BM",
        "PE",
        "PR",
        "GF",
        "PF",
        "MX",
        "DE",
        "YE",
        "RE",
        "LB",
        "LS",
        "VE",
        "EC",
        "GQ",
        "ER",
        "SV",
        "IM",
        "EE",
        "CA",
        "SM",
        "ZM",
        "MK",
        "AO",
        "AI",
        "AQ",
        "AG",
        "AL",
        "CI",
        "HR",
        "CO",
        "CR",
        "XK",
        "KM",
        "SO",
        "DM",
        "TK",
        "TG",
        "BO",
        "PL",
        "MC",
        "MD",
        "MA",
        "MZ",
        "RO",
        "OM",
        "CY",
        "TW",
        "TH",
        "NG",
        "FM",
        "IS",
        "IE",
        "HT",
        "IC",
        "CK",
        "GS",
        "PN",
        "MP",
        "UM",
        "KY",
        "TC",
        "VI",
        "VG",
        "HM",
    };
  }

  @Override
  protected void loadNameMapJava() {
    super.loadNameMapJava();
    namesMap.put("001", "ໂລກ");
    namesMap.put("002", "ອາຟຣິກາ");
    namesMap.put("003", "ອາເມລິກາເໜືອ");
    namesMap.put("005", "ອາເມລິກາໃຕ້");
    namesMap.put("009", "ໂອຊີອານີ");
    namesMap.put("011", "ອາຟຣິກາຕາເວັນຕົກ");
    namesMap.put("013", "ອາເມລິກາກາງ");
    namesMap.put("014", "ອາຟຣິກາຕາເວັນອອກ");
    namesMap.put("015", "ອາຟຣິກາເໜືອ");
    namesMap.put("017", "ອາຟຣິກາກາງ");
    namesMap.put("018", "ອາຟຣິກາຕອນໃຕ້");
    namesMap.put("019", "ອາເມຣິກາ");
    namesMap.put("021", "ພາກເໜືອອາເມລີກາ");
    namesMap.put("029", "ຄາຣິບບຽນ");
    namesMap.put("030", "ອາຊີຕາເວັນອອກ");
    namesMap.put("034", "ອາຊີໄຕ້");
    namesMap.put("035", "ອາຊີຕາເວັນອອກສ່ຽງໄຕ້");
    namesMap.put("039", "ຢູໂຣບໃຕ້");
    namesMap.put("053", "ໂອດສະຕາລີ");
    namesMap.put("054", "ເມລານີເຊຍ");
    namesMap.put("057", "ເຂດໄມໂຄຣເນຊຽນ");
    namesMap.put("061", "ໂພລີນີເຊຍ");
    namesMap.put("142", "ອາຊີ");
    namesMap.put("143", "ອາຊີກາງ");
    namesMap.put("145", "ອາຊີຕາເວັນຕົກ");
    namesMap.put("150", "ຢູໂຣບ");
    namesMap.put("151", "ຢູໂຣບຕາເວັນອອກ");
    namesMap.put("154", "ຢູໂຣບເໜືອ");
    namesMap.put("155", "ຢູໂຣບຕາເວັນຕົກ");
    namesMap.put("202", "ຊັບ ຊາຮາຣານ ອາຟຣິກາ");
    namesMap.put("419", "ລາຕິນ ອາເມລິກາ");
    namesMap.put("AC", "ເກາະອາເຊນຊັນ");
    namesMap.put("AD", "ອັນດໍຣາ");
    namesMap.put("AE", "ສະຫະລັດອາຣັບເອມິເຣດ");
    namesMap.put("AF", "ອາຟການິດສະຖານ");
    namesMap.put("AG", "ແອນທິກົວ ແລະ ບາບູດາ");
    namesMap.put("AI", "ແອນກຸຍລາ");
    namesMap.put("AL", "ແອວເບເນຍ");
    namesMap.put("AM", "ອາເມເນຍ");
    namesMap.put("AO", "ແອງໂກລາ");
    namesMap.put("AQ", "ແອນຕາດຕິກາ");
    namesMap.put("AR", "ອາເຈນທິນາ");
    namesMap.put("AS", "ອາເມຣິກາ ຊາມົວ");
    namesMap.put("AT", "ອອສເທຣຍ");
    namesMap.put("AU", "ອອສເຕຣເລຍ");
    namesMap.put("AW", "ອາຣູບາ");
    namesMap.put("AX", "ຫມູ່ເກາະໂອລັນ");
    namesMap.put("AZ", "ອາເຊີໄບຈານ");
    namesMap.put("BA", "ບອດສະເນຍ ແລະ ແຮສໂກວີນາ");
    namesMap.put("BB", "ບາບາໂດສ");
    namesMap.put("BD", "ບັງກະລາເທດ");
    namesMap.put("BE", "ເບວຢຽມ");
    namesMap.put("BF", "ເບີກິນາ ຟາໂຊ");
    namesMap.put("BG", "ບັງກາເຣຍ");
    namesMap.put("BH", "ບາເຣນ");
    namesMap.put("BI", "ບູຣຸນດິ");
    namesMap.put("BJ", "ເບນິນ");
    namesMap.put("BL", "ເຊນ ບາເທເລມີ");
    namesMap.put("BM", "ເບີມິວດາ");
    namesMap.put("BN", "ບຣູໄນ");
    namesMap.put("BO", "ໂບລິເວຍ");
    namesMap.put("BQ", "ຄາຣິບບຽນ ເນເທີແລນ");
    namesMap.put("BR", "ບຣາຊິວ");
    namesMap.put("BS", "ບາຮາມາສ");
    namesMap.put("BT", "ພູຖານ");
    namesMap.put("BV", "ເກາະບູເວດ");
    namesMap.put("BW", "ບອດສະວານາ");
    namesMap.put("BY", "ເບລາຣຸສ");
    namesMap.put("BZ", "ເບລີຊ");
    namesMap.put("CA", "ແຄນາດາ");
    namesMap.put("CC", "ຫມູ່ເກາະໂກໂກສ");
    namesMap.put("CD", "ຄອງໂກ - ຄິນຊາຊາ");
    namesMap.put("CF", "ສາທາລະນະລັດອາຟຣິກາກາງ");
    namesMap.put("CG", "ຄອງໂກ - ບຣາຊາວິວ");
    namesMap.put("CH", "ສະວິດເຊີແລນ");
    namesMap.put("CI", "ໂຄຕີ ວົວ");
    namesMap.put("CK", "ໝູ່ເກາະຄຸກ");
    namesMap.put("CL", "ຊິລີ");
    namesMap.put("CM", "ຄາເມຣູນ");
    namesMap.put("CN", "ຈີນ");
    namesMap.put("CO", "ໂຄລົມເບຍ");
    namesMap.put("CP", "ເກາະຄລິບເປີຕັນ");
    namesMap.put("CR", "ໂຄສຕາ ຣິກາ");
    namesMap.put("CU", "ຄິວບາ");
    namesMap.put("CV", "ເຄບ ເວີດ");
    namesMap.put("CW", "ຄູຣາຊາວ");
    namesMap.put("CX", "ເກາະຄຣິສມາດ");
    namesMap.put("CY", "ໄຊປຣັສ");
    namesMap.put("CZ", "ເຊັກເຊຍ");
    namesMap.put("DE", "ເຢຍລະມັນ");
    namesMap.put("DG", "ດິເອໂກ ກາເຊຍ");
    namesMap.put("DJ", "ຈິບູຕິ");
    namesMap.put("DK", "ເດນມາກ");
    namesMap.put("DM", "ໂດມີນິຄາ");
    namesMap.put("DO", "ສາທາລະນະລັດ ໂດມິນິກັນ");
    namesMap.put("DZ", "ອັລຈິເຣຍ");
    namesMap.put("EA", "ເຊວຕາ ແລະເມລິນລາ");
    namesMap.put("EC", "ເອກວາດໍ");
    namesMap.put("EE", "ເອສໂຕເນຍ");
    namesMap.put("EG", "ອີຢິບ");
    namesMap.put("EH", "ຊາຮາຣາຕາເວັນຕົກ");
    namesMap.put("ER", "ເອຣິເທຣຍ");
    namesMap.put("ES", "ສະເປນ");
    namesMap.put("ET", "ອີທິໂອເປຍ");
    namesMap.put("EU", "ສະຫະພາບຢູໂຣບ");
    namesMap.put("EZ", "ເຂດຢູໂຣບ");
    namesMap.put("FI", "ຟິນແລນ");
    namesMap.put("FJ", "ຟິຈິ");
    namesMap.put("FK", "ຫມູ່ເກາະຟອກແລນ");
    namesMap.put("FM", "ໄມໂຄຣນີເຊຍ");
    namesMap.put("FO", "ຫມູ່ເກາະແຟໂຣ");
    namesMap.put("FR", "ຝຣັ່ງ");
    namesMap.put("GA", "ກາບອນ");
    namesMap.put("GB", "ສະຫະລາດຊະອະນາຈັກ");
    namesMap.put("GD", "ເກຣເນດາ");
    namesMap.put("GE", "ຈໍເຈຍ");
    namesMap.put("GF", "ເຟຣນຊ໌ ກຸຍອານາ");
    namesMap.put("GG", "ເກີນຊີ");
    namesMap.put("GH", "ການາ");
    namesMap.put("GI", "ຈິບບຣອນທາ");
    namesMap.put("GL", "ກຣີນແລນ");
    namesMap.put("GM", "ສາທາລະນະລັດແກມເບຍ");
    namesMap.put("GN", "ກິນີ");
    namesMap.put("GP", "ກົວດາລູບ");
    namesMap.put("GQ", "ເອຄົວໂທຣຽວ ກີນີ");
    namesMap.put("GR", "ກຣີຊ");
    namesMap.put("GS", "ໝູ່ເກາະ ຈໍເຈຍຕອນໃຕ້ ແລະ ແຊນວິດຕອນໃຕ້");
    namesMap.put("GT", "ກົວເທມາລາ");
    namesMap.put("GU", "ກວາມ");
    namesMap.put("GW", "ກິນີ-ບິສເຊົາ");
    namesMap.put("GY", "ກາຍຢານາ");
    namesMap.put("HK", "ຮົງກົງ ເຂດປົກຄອງພິເສດ ຈີນ");
    namesMap.put("HM", "ໝູ່ເກາະເຮີດ & ແມັກໂດນອລ");
    namesMap.put("HN", "ຮອນດູຣັສ");
    namesMap.put("HR", "ໂຄຣເອເທຍ");
    namesMap.put("HT", "ໄຮຕິ");
    namesMap.put("HU", "ຮັງກາຣີ");
    namesMap.put("IC", "ໝູ່ເກາະຄານາຣີ");
    namesMap.put("ID", "ອິນໂດເນເຊຍ");
    namesMap.put("IE", "ໄອແລນ");
    namesMap.put("IL", "ອິສຣາເອວ");
    namesMap.put("IM", "ເອວ ອອບ ແມນ");
    namesMap.put("IN", "ອິນເດຍ");
    namesMap.put("IO", "ເຂດແດນອັງກິດໃນມະຫາສະມຸດອິນເດຍ");
    namesMap.put("IQ", "ອີຣັກ");
    namesMap.put("IR", "ອີຣານ");
    namesMap.put("IS", "ໄອສແລນ");
    namesMap.put("IT", "ອິຕາລີ");
    namesMap.put("JE", "ເຈີຊີ");
    namesMap.put("JM", "ຈາໄມຄາ");
    namesMap.put("JO", "ຈໍແດນ");
    namesMap.put("JP", "ຍີ່ປຸ່ນ");
    namesMap.put("KE", "ເຄນຢາ");
    namesMap.put("KG", "ຄຽກກິດສະຖານ");
    namesMap.put("KH", "ກຳປູເຈຍ");
    namesMap.put("KI", "ຄິຣິບາທິ");
    namesMap.put("KM", "ໂຄໂມໂຣສ");
    namesMap.put("KN", "ເຊນ ຄິດ ແລະ ເນວິສ");
    namesMap.put("KP", "ເກົາຫລີເໜືອ");
    namesMap.put("KR", "ເກົາຫລີໃຕ້");
    namesMap.put("KW", "ກູເວດ");
    namesMap.put("KY", "ໝູ່ເກາະ ເຄແມນ");
    namesMap.put("KZ", "ຄາຊັກສະຖານ");
    namesMap.put("LA", "ລາວ");
    namesMap.put("LB", "ເລບານອນ");
    namesMap.put("LC", "ເຊນ ລູເຊຍ");
    namesMap.put("LI", "ລິດເທນສະຕາຍ");
    namesMap.put("LK", "ສີລັງກາ");
    namesMap.put("LR", "ລິເບີເຣຍ");
    namesMap.put("LS", "ເລໂຊໂທ");
    namesMap.put("LT", "ລິທົວເນຍ");
    namesMap.put("LU", "ລຸກແຊມເບີກ");
    namesMap.put("LV", "ລັດເວຍ");
    namesMap.put("LY", "ລິເບຍ");
    namesMap.put("MA", "ໂມຣັອກໂຄ");
    namesMap.put("MC", "ໂມນາໂຄ");
    namesMap.put("MD", "ໂມນໂດວາ");
    namesMap.put("ME", "ມອນເຕເນໂກຣ");
    namesMap.put("MF", "ເຊນ ມາທິນ");
    namesMap.put("MG", "ມາດາກາສະກາ");
    namesMap.put("MH", "ຫມູ່ເກາະມາແຊວ");
    namesMap.put("MK", "ແມຊິໂດເນຍ");
    namesMap.put("ML", "ມາລີ");
    namesMap.put("MM", "ມຽນມາ (ເບີມາ)");
    namesMap.put("MN", "ມອງໂກເລຍ");
    namesMap.put("MO", "ມາກາວ ເຂດປົກຄອງພິເສດ ຈີນ");
    namesMap.put("MP", "ໝູ່ເກາະມາເຣຍນາຕອນເໜືອ");
    namesMap.put("MQ", "ມາຕິນີກ");
    namesMap.put("MR", "ມົວຣິເທເນຍ");
    namesMap.put("MS", "ມອນເຊີຣາດ");
    namesMap.put("MT", "ມອນທາ");
    namesMap.put("MU", "ມົວຣິຊຽສ");
    namesMap.put("MV", "ມັນດິຟ");
    namesMap.put("MW", "ມາລາວີ");
    namesMap.put("MX", "ເມັກຊິໂກ");
    namesMap.put("MY", "ມາເລເຊຍ");
    namesMap.put("MZ", "ໂມແຊມບິກ");
    namesMap.put("NA", "ນາມີເບຍ");
    namesMap.put("NC", "ນິວ ຄາເລໂດເນຍ");
    namesMap.put("NE", "ນິເຈີ");
    namesMap.put("NF", "ເກາະນໍໂຟກ");
    namesMap.put("NG", "ໄນຈີເຣຍ");
    namesMap.put("NI", "ນິກຄາຣາກົວ");
    namesMap.put("NL", "ເນເທີແລນ");
    namesMap.put("NO", "ນໍເວ");
    namesMap.put("NP", "ເນປານ");
    namesMap.put("NR", "ນາອູຣູ");
    namesMap.put("NU", "ນີອູເອ");
    namesMap.put("NZ", "ນິວຊີແລນ");
    namesMap.put("OM", "ໂອມານ");
    namesMap.put("PA", "ພານາມາ");
    namesMap.put("PE", "ເປຣູ");
    namesMap.put("PF", "ເຟຣນຊ໌ ໂພລິນີເຊຍ");
    namesMap.put("PG", "ປາປົວນິວກີນີ");
    namesMap.put("PH", "ຟິລິບປິນ");
    namesMap.put("PK", "ປາກິດສະຖານ");
    namesMap.put("PL", "ໂປແລນ");
    namesMap.put("PM", "ເຊນ ປີແອ ມິເກວລອນ");
    namesMap.put("PN", "ໝູ່ເກາະພິດແຄນ");
    namesMap.put("PR", "ເພືອໂຕ ຣິໂກ");
    namesMap.put("PS", "ດິນແດນ ປາເລສຕິນຽນ");
    namesMap.put("PT", "ພອລທູໂກ");
    namesMap.put("PW", "ປາລາວ");
    namesMap.put("PY", "ພາຣາກວຍ");
    namesMap.put("QA", "ກາຕາ");
    namesMap.put("QO", "ເຂດຫ່າງໄກໂອຊີເນຍ");
    namesMap.put("RE", "ເຣອູນິຍົງ");
    namesMap.put("RO", "ໂຣແມເນຍ");
    namesMap.put("RS", "ເຊີເບຍ");
    namesMap.put("RU", "ຣັດເຊຍ");
    namesMap.put("RW", "ຣວັນດາ");
    namesMap.put("SA", "ຊາອຸດິ ອາຣາເບຍ");
    namesMap.put("SB", "ຫມູ່ເກາະໂຊໂລມອນ");
    namesMap.put("SC", "ເຊເຊວເລສ");
    namesMap.put("SD", "ຊູດານ");
    namesMap.put("SE", "ສະວີເດັນ");
    namesMap.put("SG", "ສິງກະໂປ");
    namesMap.put("SH", "ເຊນ ເຮເລນາ");
    namesMap.put("SI", "ສະໂລເວເນຍ");
    namesMap.put("SJ", "ສະວາບາ ແລະ ແຢນ ມາເຢນ");
    namesMap.put("SK", "ສະໂລວາເກຍ");
    namesMap.put("SL", "ເຊຍຣາ ລີໂອນ");
    namesMap.put("SM", "ແຊນ ມາຣິໂນ");
    namesMap.put("SN", "ເຊນີໂກລ");
    namesMap.put("SO", "ໂຊມາເລຍ");
    namesMap.put("SR", "ຊູຣິນາມ");
    namesMap.put("SS", "ຊູດານໃຕ້");
    namesMap.put("ST", "ເຊົາທູເມ ແລະ ພຣິນຊິບ");
    namesMap.put("SV", "ເອວ ຊໍວາດໍ");
    namesMap.put("SX", "ຊິນ ມາເທັນ");
    namesMap.put("SY", "ຊີເຣຍ");
    namesMap.put("SZ", "ສະວາຊິແລນ");
    namesMap.put("TA", "ທຣິສຕັນ ດາ ກັນຮາ");
    namesMap.put("TC", "ໝູ່ເກາະ ເທີກ ແລະ ໄຄໂຄສ");
    namesMap.put("TD", "ຊາດ");
    namesMap.put("TF", "ເຂດແດນທາງໃຕ້ຂອຝຮັ່ງ");
    namesMap.put("TG", "ໂຕໂກ");
    namesMap.put("TH", "ໄທ");
    namesMap.put("TJ", "ທາຈິກິດສະຖານ");
    namesMap.put("TK", "ໂຕເກເລົາ");
    namesMap.put("TL", "ທິມໍ-ເລສເຕ");
    namesMap.put("TM", "ເທີກເມນິສະຖານ");
    namesMap.put("TN", "ຕູນິເຊຍ");
    namesMap.put("TO", "ທອງກາ");
    namesMap.put("TR", "ເທີຄີ");
    namesMap.put("TT", "ທຣິນິແດດ ແລະ ໂທແບໂກ");
    namesMap.put("TV", "ຕູວາລູ");
    namesMap.put("TW", "ໄຕ້ຫວັນ");
    namesMap.put("TZ", "ທານຊາເນຍ");
    namesMap.put("UA", "ຢູເຄຣນ");
    namesMap.put("UG", "ອູການດາ");
    namesMap.put("UM", "ໝູ່ເກາະຮອບນອກຂອງສະຫະລັດຯ");
    namesMap.put("UN", "ສະຫະປະຊາຊາດ");
    namesMap.put("US", "ສະຫະລັດ");
    namesMap.put("UY", "ອູຣຸກວຍ");
    namesMap.put("UZ", "ອຸສເບກິສະຖານ");
    namesMap.put("VA", "ນະຄອນ ວາຕິກັນ");
    namesMap.put("VC", "ເຊນ ວິນເຊນ ແລະ ເກຣເນດິນ");
    namesMap.put("VE", "ເວເນຊູເອລາ");
    namesMap.put("VG", "ໝູ່ເກາະ ເວີຈິນຂອງອັງກິດ");
    namesMap.put("VI", "ໝູ່ເກາະ ເວີຈິນ ຂອງສະຫະລັດ");
    namesMap.put("VN", "ຫວຽດນາມ");
    namesMap.put("VU", "ວານົວຕູ");
    namesMap.put("WF", "ວາລລິສ ແລະ ຟູຕູນາ");
    namesMap.put("WS", "ຊາມົວ");
    namesMap.put("XK", "ໂຄໂຊໂວ");
    namesMap.put("YE", "ເຢເມນ");
    namesMap.put("YT", "ມາຢັອດ");
    namesMap.put("ZA", "ອາຟຣິກາໃຕ້");
    namesMap.put("ZM", "ແຊມເບຍ");
    namesMap.put("ZW", "ຊິມບັບເວ");
    namesMap.put("ZZ", "ຂົງເຂດທີ່ບໍ່ຮູ້ຈັກ");
  }

  @Override
  protected JavaScriptObject loadNameMapNative() {
    return overrideMap(super.loadNameMapNative(), loadMyNameMap());
  }

  private native JavaScriptObject loadMyNameMap() /*-{
    return {
        "001": "ໂລກ",
        "002": "ອາຟຣິກາ",
        "003": "ອາເມລິກາເໜືອ",
        "005": "ອາເມລິກາໃຕ້",
        "009": "ໂອຊີອານີ",
        "011": "ອາຟຣິກາຕາເວັນຕົກ",
        "013": "ອາເມລິກາກາງ",
        "014": "ອາຟຣິກາຕາເວັນອອກ",
        "015": "ອາຟຣິກາເໜືອ",
        "017": "ອາຟຣິກາກາງ",
        "018": "ອາຟຣິກາຕອນໃຕ້",
        "019": "ອາເມຣິກາ",
        "021": "ພາກເໜືອອາເມລີກາ",
        "029": "ຄາຣິບບຽນ",
        "030": "ອາຊີຕາເວັນອອກ",
        "034": "ອາຊີໄຕ້",
        "035": "ອາຊີຕາເວັນອອກສ່ຽງໄຕ້",
        "039": "ຢູໂຣບໃຕ້",
        "053": "ໂອດສະຕາລີ",
        "054": "ເມລານີເຊຍ",
        "057": "ເຂດໄມໂຄຣເນຊຽນ",
        "061": "ໂພລີນີເຊຍ",
        "142": "ອາຊີ",
        "143": "ອາຊີກາງ",
        "145": "ອາຊີຕາເວັນຕົກ",
        "150": "ຢູໂຣບ",
        "151": "ຢູໂຣບຕາເວັນອອກ",
        "154": "ຢູໂຣບເໜືອ",
        "155": "ຢູໂຣບຕາເວັນຕົກ",
        "202": "ຊັບ ຊາຮາຣານ ອາຟຣິກາ",
        "419": "ລາຕິນ ອາເມລິກາ",
        "AC": "ເກາະອາເຊນຊັນ",
        "AD": "ອັນດໍຣາ",
        "AE": "ສະຫະລັດອາຣັບເອມິເຣດ",
        "AF": "ອາຟການິດສະຖານ",
        "AG": "ແອນທິກົວ ແລະ ບາບູດາ",
        "AI": "ແອນກຸຍລາ",
        "AL": "ແອວເບເນຍ",
        "AM": "ອາເມເນຍ",
        "AO": "ແອງໂກລາ",
        "AQ": "ແອນຕາດຕິກາ",
        "AR": "ອາເຈນທິນາ",
        "AS": "ອາເມຣິກາ ຊາມົວ",
        "AT": "ອອສເທຣຍ",
        "AU": "ອອສເຕຣເລຍ",
        "AW": "ອາຣູບາ",
        "AX": "ຫມູ່ເກາະໂອລັນ",
        "AZ": "ອາເຊີໄບຈານ",
        "BA": "ບອດສະເນຍ ແລະ ແຮສໂກວີນາ",
        "BB": "ບາບາໂດສ",
        "BD": "ບັງກະລາເທດ",
        "BE": "ເບວຢຽມ",
        "BF": "ເບີກິນາ ຟາໂຊ",
        "BG": "ບັງກາເຣຍ",
        "BH": "ບາເຣນ",
        "BI": "ບູຣຸນດິ",
        "BJ": "ເບນິນ",
        "BL": "ເຊນ ບາເທເລມີ",
        "BM": "ເບີມິວດາ",
        "BN": "ບຣູໄນ",
        "BO": "ໂບລິເວຍ",
        "BQ": "ຄາຣິບບຽນ ເນເທີແລນ",
        "BR": "ບຣາຊິວ",
        "BS": "ບາຮາມາສ",
        "BT": "ພູຖານ",
        "BV": "ເກາະບູເວດ",
        "BW": "ບອດສະວານາ",
        "BY": "ເບລາຣຸສ",
        "BZ": "ເບລີຊ",
        "CA": "ແຄນາດາ",
        "CC": "ຫມູ່ເກາະໂກໂກສ",
        "CD": "ຄອງໂກ - ຄິນຊາຊາ",
        "CF": "ສາທາລະນະລັດອາຟຣິກາກາງ",
        "CG": "ຄອງໂກ - ບຣາຊາວິວ",
        "CH": "ສະວິດເຊີແລນ",
        "CI": "ໂຄຕີ ວົວ",
        "CK": "ໝູ່ເກາະຄຸກ",
        "CL": "ຊິລີ",
        "CM": "ຄາເມຣູນ",
        "CN": "ຈີນ",
        "CO": "ໂຄລົມເບຍ",
        "CP": "ເກາະຄລິບເປີຕັນ",
        "CR": "ໂຄສຕາ ຣິກາ",
        "CU": "ຄິວບາ",
        "CV": "ເຄບ ເວີດ",
        "CW": "ຄູຣາຊາວ",
        "CX": "ເກາະຄຣິສມາດ",
        "CY": "ໄຊປຣັສ",
        "CZ": "ເຊັກເຊຍ",
        "DE": "ເຢຍລະມັນ",
        "DG": "ດິເອໂກ ກາເຊຍ",
        "DJ": "ຈິບູຕິ",
        "DK": "ເດນມາກ",
        "DM": "ໂດມີນິຄາ",
        "DO": "ສາທາລະນະລັດ ໂດມິນິກັນ",
        "DZ": "ອັລຈິເຣຍ",
        "EA": "ເຊວຕາ ແລະເມລິນລາ",
        "EC": "ເອກວາດໍ",
        "EE": "ເອສໂຕເນຍ",
        "EG": "ອີຢິບ",
        "EH": "ຊາຮາຣາຕາເວັນຕົກ",
        "ER": "ເອຣິເທຣຍ",
        "ES": "ສະເປນ",
        "ET": "ອີທິໂອເປຍ",
        "EU": "ສະຫະພາບຢູໂຣບ",
        "EZ": "ເຂດຢູໂຣບ",
        "FI": "ຟິນແລນ",
        "FJ": "ຟິຈິ",
        "FK": "ຫມູ່ເກາະຟອກແລນ",
        "FM": "ໄມໂຄຣນີເຊຍ",
        "FO": "ຫມູ່ເກາະແຟໂຣ",
        "FR": "ຝຣັ່ງ",
        "GA": "ກາບອນ",
        "GB": "ສະຫະລາດຊະອະນາຈັກ",
        "GD": "ເກຣເນດາ",
        "GE": "ຈໍເຈຍ",
        "GF": "ເຟຣນຊ໌ ກຸຍອານາ",
        "GG": "ເກີນຊີ",
        "GH": "ການາ",
        "GI": "ຈິບບຣອນທາ",
        "GL": "ກຣີນແລນ",
        "GM": "ສາທາລະນະລັດແກມເບຍ",
        "GN": "ກິນີ",
        "GP": "ກົວດາລູບ",
        "GQ": "ເອຄົວໂທຣຽວ ກີນີ",
        "GR": "ກຣີຊ",
        "GS": "ໝູ່ເກາະ ຈໍເຈຍຕອນໃຕ້ ແລະ ແຊນວິດຕອນໃຕ້",
        "GT": "ກົວເທມາລາ",
        "GU": "ກວາມ",
        "GW": "ກິນີ-ບິສເຊົາ",
        "GY": "ກາຍຢານາ",
        "HK": "ຮົງກົງ ເຂດປົກຄອງພິເສດ ຈີນ",
        "HM": "ໝູ່ເກາະເຮີດ & ແມັກໂດນອລ",
        "HN": "ຮອນດູຣັສ",
        "HR": "ໂຄຣເອເທຍ",
        "HT": "ໄຮຕິ",
        "HU": "ຮັງກາຣີ",
        "IC": "ໝູ່ເກາະຄານາຣີ",
        "ID": "ອິນໂດເນເຊຍ",
        "IE": "ໄອແລນ",
        "IL": "ອິສຣາເອວ",
        "IM": "ເອວ ອອບ ແມນ",
        "IN": "ອິນເດຍ",
        "IO": "ເຂດແດນອັງກິດໃນມະຫາສະມຸດອິນເດຍ",
        "IQ": "ອີຣັກ",
        "IR": "ອີຣານ",
        "IS": "ໄອສແລນ",
        "IT": "ອິຕາລີ",
        "JE": "ເຈີຊີ",
        "JM": "ຈາໄມຄາ",
        "JO": "ຈໍແດນ",
        "JP": "ຍີ່ປຸ່ນ",
        "KE": "ເຄນຢາ",
        "KG": "ຄຽກກິດສະຖານ",
        "KH": "ກຳປູເຈຍ",
        "KI": "ຄິຣິບາທິ",
        "KM": "ໂຄໂມໂຣສ",
        "KN": "ເຊນ ຄິດ ແລະ ເນວິສ",
        "KP": "ເກົາຫລີເໜືອ",
        "KR": "ເກົາຫລີໃຕ້",
        "KW": "ກູເວດ",
        "KY": "ໝູ່ເກາະ ເຄແມນ",
        "KZ": "ຄາຊັກສະຖານ",
        "LA": "ລາວ",
        "LB": "ເລບານອນ",
        "LC": "ເຊນ ລູເຊຍ",
        "LI": "ລິດເທນສະຕາຍ",
        "LK": "ສີລັງກາ",
        "LR": "ລິເບີເຣຍ",
        "LS": "ເລໂຊໂທ",
        "LT": "ລິທົວເນຍ",
        "LU": "ລຸກແຊມເບີກ",
        "LV": "ລັດເວຍ",
        "LY": "ລິເບຍ",
        "MA": "ໂມຣັອກໂຄ",
        "MC": "ໂມນາໂຄ",
        "MD": "ໂມນໂດວາ",
        "ME": "ມອນເຕເນໂກຣ",
        "MF": "ເຊນ ມາທິນ",
        "MG": "ມາດາກາສະກາ",
        "MH": "ຫມູ່ເກາະມາແຊວ",
        "MK": "ແມຊິໂດເນຍ",
        "ML": "ມາລີ",
        "MM": "ມຽນມາ (ເບີມາ)",
        "MN": "ມອງໂກເລຍ",
        "MO": "ມາກາວ ເຂດປົກຄອງພິເສດ ຈີນ",
        "MP": "ໝູ່ເກາະມາເຣຍນາຕອນເໜືອ",
        "MQ": "ມາຕິນີກ",
        "MR": "ມົວຣິເທເນຍ",
        "MS": "ມອນເຊີຣາດ",
        "MT": "ມອນທາ",
        "MU": "ມົວຣິຊຽສ",
        "MV": "ມັນດິຟ",
        "MW": "ມາລາວີ",
        "MX": "ເມັກຊິໂກ",
        "MY": "ມາເລເຊຍ",
        "MZ": "ໂມແຊມບິກ",
        "NA": "ນາມີເບຍ",
        "NC": "ນິວ ຄາເລໂດເນຍ",
        "NE": "ນິເຈີ",
        "NF": "ເກາະນໍໂຟກ",
        "NG": "ໄນຈີເຣຍ",
        "NI": "ນິກຄາຣາກົວ",
        "NL": "ເນເທີແລນ",
        "NO": "ນໍເວ",
        "NP": "ເນປານ",
        "NR": "ນາອູຣູ",
        "NU": "ນີອູເອ",
        "NZ": "ນິວຊີແລນ",
        "OM": "ໂອມານ",
        "PA": "ພານາມາ",
        "PE": "ເປຣູ",
        "PF": "ເຟຣນຊ໌ ໂພລິນີເຊຍ",
        "PG": "ປາປົວນິວກີນີ",
        "PH": "ຟິລິບປິນ",
        "PK": "ປາກິດສະຖານ",
        "PL": "ໂປແລນ",
        "PM": "ເຊນ ປີແອ ມິເກວລອນ",
        "PN": "ໝູ່ເກາະພິດແຄນ",
        "PR": "ເພືອໂຕ ຣິໂກ",
        "PS": "ດິນແດນ ປາເລສຕິນຽນ",
        "PT": "ພອລທູໂກ",
        "PW": "ປາລາວ",
        "PY": "ພາຣາກວຍ",
        "QA": "ກາຕາ",
        "QO": "ເຂດຫ່າງໄກໂອຊີເນຍ",
        "RE": "ເຣອູນິຍົງ",
        "RO": "ໂຣແມເນຍ",
        "RS": "ເຊີເບຍ",
        "RU": "ຣັດເຊຍ",
        "RW": "ຣວັນດາ",
        "SA": "ຊາອຸດິ ອາຣາເບຍ",
        "SB": "ຫມູ່ເກາະໂຊໂລມອນ",
        "SC": "ເຊເຊວເລສ",
        "SD": "ຊູດານ",
        "SE": "ສະວີເດັນ",
        "SG": "ສິງກະໂປ",
        "SH": "ເຊນ ເຮເລນາ",
        "SI": "ສະໂລເວເນຍ",
        "SJ": "ສະວາບາ ແລະ ແຢນ ມາເຢນ",
        "SK": "ສະໂລວາເກຍ",
        "SL": "ເຊຍຣາ ລີໂອນ",
        "SM": "ແຊນ ມາຣິໂນ",
        "SN": "ເຊນີໂກລ",
        "SO": "ໂຊມາເລຍ",
        "SR": "ຊູຣິນາມ",
        "SS": "ຊູດານໃຕ້",
        "ST": "ເຊົາທູເມ ແລະ ພຣິນຊິບ",
        "SV": "ເອວ ຊໍວາດໍ",
        "SX": "ຊິນ ມາເທັນ",
        "SY": "ຊີເຣຍ",
        "SZ": "ສະວາຊິແລນ",
        "TA": "ທຣິສຕັນ ດາ ກັນຮາ",
        "TC": "ໝູ່ເກາະ ເທີກ ແລະ ໄຄໂຄສ",
        "TD": "ຊາດ",
        "TF": "ເຂດແດນທາງໃຕ້ຂອຝຮັ່ງ",
        "TG": "ໂຕໂກ",
        "TH": "ໄທ",
        "TJ": "ທາຈິກິດສະຖານ",
        "TK": "ໂຕເກເລົາ",
        "TL": "ທິມໍ-ເລສເຕ",
        "TM": "ເທີກເມນິສະຖານ",
        "TN": "ຕູນິເຊຍ",
        "TO": "ທອງກາ",
        "TR": "ເທີຄີ",
        "TT": "ທຣິນິແດດ ແລະ ໂທແບໂກ",
        "TV": "ຕູວາລູ",
        "TW": "ໄຕ້ຫວັນ",
        "TZ": "ທານຊາເນຍ",
        "UA": "ຢູເຄຣນ",
        "UG": "ອູການດາ",
        "UM": "ໝູ່ເກາະຮອບນອກຂອງສະຫະລັດຯ",
        "UN": "ສະຫະປະຊາຊາດ",
        "US": "ສະຫະລັດ",
        "UY": "ອູຣຸກວຍ",
        "UZ": "ອຸສເບກິສະຖານ",
        "VA": "ນະຄອນ ວາຕິກັນ",
        "VC": "ເຊນ ວິນເຊນ ແລະ ເກຣເນດິນ",
        "VE": "ເວເນຊູເອລາ",
        "VG": "ໝູ່ເກາະ ເວີຈິນຂອງອັງກິດ",
        "VI": "ໝູ່ເກາະ ເວີຈິນ ຂອງສະຫະລັດ",
        "VN": "ຫວຽດນາມ",
        "VU": "ວານົວຕູ",
        "WF": "ວາລລິສ ແລະ ຟູຕູນາ",
        "WS": "ຊາມົວ",
        "XK": "ໂຄໂຊໂວ",
        "YE": "ເຢເມນ",
        "YT": "ມາຢັອດ",
        "ZA": "ອາຟຣິກາໃຕ້",
        "ZM": "ແຊມເບຍ",
        "ZW": "ຊິມບັບເວ",
        "ZZ": "ຂົງເຂດທີ່ບໍ່ຮູ້ຈັກ"
    };
  }-*/;
}
