/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

import com.google.gwt.core.client.JavaScriptObject;

// DO NOT EDIT - GENERATED FROM CLDR DATA

/**
 * Localized names for the "pa" locale.
 */
public class LocalizedNamesImpl_pa extends LocalizedNamesImpl {

  @Override
  public String[] loadLikelyRegionCodes() {
    return new String[] {
        "IN",
    };
  }

  @Override
  public String[] loadSortedRegionCodes() {
    return new String[] {
        "XA",
        "XB",
        "AZ",
        "AF",
        "AS",
        "AR",
        "AM",
        "AW",
        "DZ",
        "AL",
        "SV",
        "AX",
        "AC",
        "AI",
        "AO",
        "AQ",
        "AD",
        "IE",
        "IM",
        "IS",
        "QO",
        "AT",
        "AU",
        "EC",
        "IL",
        "IT",
        "ET",
        "IQ",
        "ER",
        "EE",
        "ID",
        "IR",
        "UZ",
        "UY",
        "KP",
        "MP",
        "AG",
        "OM",
        "KZ",
        "QA",
        "HR",
        "CP",
        "CD",
        "CG",
        "CU",
        "KG",
        "KI",
        "KE",
        "CW",
        "KW",
        "CK",
        "CF",
        "IC",
        "CV",
        "KY",
        "CA",
        "CM",
        "BQ",
        "CC",
        "CI",
        "KM",
        "CO",
        "CR",
        "XK",
        "CX",
        "KH",
        "GA",
        "GG",
        "GN",
        "GW",
        "GT",
        "GP",
        "GU",
        "GY",
        "GM",
        "GL",
        "GR",
        "GD",
        "GH",
        "TD",
        "CL",
        "CN",
        "CZ",
        "JP",
        "JM",
        "DE",
        "JE",
        "ZM",
        "ZW",
        "DJ",
        "GE",
        "JO",
        "GI",
        "TN",
        "TC",
        "TV",
        "TK",
        "TG",
        "TO",
        "TT",
        "TA",
        "DG",
        "DK",
        "DM",
        "DO",
        "TZ",
        "TW",
        "TJ",
        "TL",
        "TM",
        "TR",
        "TH",
        "KR",
        "SS",
        "ZA",
        "GS",
        "NE",
        "NG",
        "NR",
        "NA",
        "NO",
        "NC",
        "NZ",
        "NI",
        "NU",
        "NL",
        "NP",
        "NF",
        "PA",
        "PW",
        "PK",
        "PG",
        "PR",
        "PN",
        "PT",
        "PE",
        "PY",
        "PL",
        "EH",
        "GF",
        "TF",
        "PF",
        "FR",
        "FK",
        "FJ",
        "FI",
        "PH",
        "PS",
        "FO",
        "IO",
        "BM",
        "BN",
        "BS",
        "BH",
        "BB",
        "BF",
        "BI",
        "BG",
        "BJ",
        "BY",
        "BZ",
        "BE",
        "BW",
        "BO",
        "BA",
        "BV",
        "BR",
        "VG",
        "BD",
        "IN",
        "GQ",
        "BT",
        "MO",
        "MW",
        "MY",
        "FM",
        "YT",
        "MQ",
        "MH",
        "MT",
        "MV",
        "ML",
        "MM",
        "EG",
        "MK",
        "MX",
        "MG",
        "MS",
        "ME",
        "MZ",
        "MC",
        "MR",
        "MA",
        "MD",
        "MU",
        "MN",
        "YE",
        "UM",
        "VI",
        "UA",
        "UG",
        "GB",
        "EU",
        "EZ",
        "RW",
        "RE",
        "RU",
        "RO",
        "LU",
        "LR",
        "LA",
        "LV",
        "LI",
        "LT",
        "LY",
        "LS",
        "LB",
        "VU",
        "WF",
        "VN",
        "VE",
        "VA",
        "ES",
        "RS",
        "SK",
        "SI",
        "SZ",
        "SJ",
        "CH",
        "SE",
        "CY",
        "SA",
        "ST",
        "WS",
        "SL",
        "EA",
        "SG",
        "SX",
        "SY",
        "SD",
        "SR",
        "KN",
        "PM",
        "BL",
        "MF",
        "LC",
        "VC",
        "SH",
        "SN",
        "SC",
        "SM",
        "SO",
        "SB",
        "LK",
        "AE",
        "US",
        "UN",
        "HM",
        "HK",
        "HT",
        "HN",
        "HU",
    };
  }

  @Override
  protected void loadNameMapJava() {
    super.loadNameMapJava();
    namesMap.put("001", "ਸੰਸਾਰ");
    namesMap.put("002", "ਅਫ਼ਰੀਕਾ");
    namesMap.put("003", "ਉੱਤਰ ਅਮਰੀਕਾ");
    namesMap.put("005", "ਦੱਖਣ ਅਮਰੀਕਾ");
    namesMap.put("009", "ਓਸ਼ੇਨੀਆ");
    namesMap.put("011", "ਪੱਛਮੀ ਅਫ਼ਰੀਕਾ");
    namesMap.put("013", "ਕੇਂਦਰੀ ਅਮਰੀਕਾ");
    namesMap.put("014", "ਪੂਰਬੀ ਅਫ਼ਰੀਕਾ");
    namesMap.put("015", "ਉੱਤਰੀ ਅਫ਼ਰੀਕਾ");
    namesMap.put("017", "ਮੱਧ ਅਫ਼ਰੀਕਾ");
    namesMap.put("018", "ਦੱਖਣੀ ਅਫ਼ਰੀਕਾ");
    namesMap.put("019", "ਅਮਰੀਕਾ");
    namesMap.put("021", "ਉੱਤਰੀ ਅਮਰੀਕਾ");
    namesMap.put("029", "ਕੈਰੇਬੀਆਈ");
    namesMap.put("030", "ਪੂਰਬੀ ਏਸ਼ੀਆ");
    namesMap.put("034", "ਦੱਖਣੀ ਏਸ਼ੀਆ");
    namesMap.put("035", "ਦੱਖਣ-ਪੂਰਬੀ ਏਸ਼ੀਆ");
    namesMap.put("039", "ਦੱਖਣੀ ਯੂਰਪ");
    namesMap.put("053", "ਆਸਟਰੇਲੇਸ਼ੀਆ");
    namesMap.put("054", "ਮੇਲਾਨੇਸ਼ੀਆ");
    namesMap.put("057", "ਮਾਇਕ੍ਰੋਨੇਸ਼ੀਆਈ ਇਲਾਕਾ");
    namesMap.put("061", "ਪੋਲੀਨੇਸ਼ੀਆ");
    namesMap.put("142", "ਏਸ਼ੀਆ");
    namesMap.put("143", "ਕੇਂਦਰੀ ਏਸ਼ੀਆ");
    namesMap.put("145", "ਪੱਛਮੀ ਏਸ਼ੀਆ");
    namesMap.put("150", "ਯੂਰਪ");
    namesMap.put("151", "ਪੂਰਬੀ ਯੂਰਪ");
    namesMap.put("154", "ਉੱਤਰੀ ਯੂਰਪ");
    namesMap.put("155", "ਪੱਛਮੀ ਯੂਰਪ");
    namesMap.put("202", "ਉਪ-ਸਹਾਰਾ ਅਫ਼ਰੀਕਾ");
    namesMap.put("419", "ਲਾਤੀਨੀ ਅਮਰੀਕਾ");
    namesMap.put("AC", "ਅਸੈਂਸ਼ਨ ਟਾਪੂ");
    namesMap.put("AD", "ਅੰਡੋਰਾ");
    namesMap.put("AE", "ਸੰਯੁਕਤ ਅਰਬ ਅਮੀਰਾਤ");
    namesMap.put("AF", "ਅਫ਼ਗਾਨਿਸਤਾਨ");
    namesMap.put("AG", "ਐਂਟੀਗੁਆ ਅਤੇ ਬਾਰਬੁਡਾ");
    namesMap.put("AI", "ਅੰਗੁਇਲਾ");
    namesMap.put("AL", "ਅਲਬਾਨੀਆ");
    namesMap.put("AM", "ਅਰਮੀਨੀਆ");
    namesMap.put("AO", "ਅੰਗੋਲਾ");
    namesMap.put("AQ", "ਅੰਟਾਰਕਟਿਕਾ");
    namesMap.put("AR", "ਅਰਜਨਟੀਨਾ");
    namesMap.put("AS", "ਅਮੈਰੀਕਨ ਸਮੋਆ");
    namesMap.put("AT", "ਆਸਟਰੀਆ");
    namesMap.put("AU", "ਆਸਟ੍ਰੇਲੀਆ");
    namesMap.put("AW", "ਅਰੂਬਾ");
    namesMap.put("AX", "ਅਲੈਂਡ ਟਾਪੂ");
    namesMap.put("AZ", "ਅਜ਼ਰਬਾਈਜਾਨ");
    namesMap.put("BA", "ਬੋਸਨੀਆ ਅਤੇ ਹਰਜ਼ੇਗੋਵੀਨਾ");
    namesMap.put("BB", "ਬਾਰਬਾਡੋਸ");
    namesMap.put("BD", "ਬੰਗਲਾਦੇਸ਼");
    namesMap.put("BE", "ਬੈਲਜੀਅਮ");
    namesMap.put("BF", "ਬੁਰਕੀਨਾ ਫ਼ਾਸੋ");
    namesMap.put("BG", "ਬੁਲਗਾਰੀਆ");
    namesMap.put("BH", "ਬਹਿਰੀਨ");
    namesMap.put("BI", "ਬੁਰੁੰਡੀ");
    namesMap.put("BJ", "ਬੇਨਿਨ");
    namesMap.put("BL", "ਸੇਂਟ ਬਾਰਥੇਲੇਮੀ");
    namesMap.put("BM", "ਬਰਮੂਡਾ");
    namesMap.put("BN", "ਬਰੂਨੇਈ");
    namesMap.put("BO", "ਬੋਲੀਵੀਆ");
    namesMap.put("BQ", "ਕੈਰੇਬੀਆਈ ਨੀਦਰਲੈਂਡ");
    namesMap.put("BR", "ਬ੍ਰਾਜ਼ੀਲ");
    namesMap.put("BS", "ਬਹਾਮਾਸ");
    namesMap.put("BT", "ਭੂਟਾਨ");
    namesMap.put("BV", "ਬੌਵੇਟ ਟਾਪੂ");
    namesMap.put("BW", "ਬੋਤਸਵਾਨਾ");
    namesMap.put("BY", "ਬੇਲਾਰੂਸ");
    namesMap.put("BZ", "ਬੇਲੀਜ਼");
    namesMap.put("CA", "ਕੈਨੇਡਾ");
    namesMap.put("CC", "ਕੋਕੋਸ (ਕੀਲਿੰਗ) ਟਾਪੂ");
    namesMap.put("CD", "ਕਾਂਗੋ - ਕਿੰਸ਼ਾਸਾ");
    namesMap.put("CF", "ਕੇਂਦਰੀ ਅਫ਼ਰੀਕੀ ਗਣਰਾਜ");
    namesMap.put("CG", "ਕਾਂਗੋ - ਬ੍ਰਾਜ਼ਾਵਿਲੇ");
    namesMap.put("CH", "ਸਵਿਟਜ਼ਰਲੈਂਡ");
    namesMap.put("CI", "ਕੋਟ ਡੀਵੋਆਰ");
    namesMap.put("CK", "ਕੁੱਕ ਟਾਪੂ");
    namesMap.put("CL", "ਚਿਲੀ");
    namesMap.put("CM", "ਕੈਮਰੂਨ");
    namesMap.put("CN", "ਚੀਨ");
    namesMap.put("CO", "ਕੋਲੰਬੀਆ");
    namesMap.put("CP", "ਕਲਿੱਪਰਟਨ ਟਾਪੂ");
    namesMap.put("CR", "ਕੋਸਟਾ ਰੀਕਾ");
    namesMap.put("CU", "ਕਿਊਬਾ");
    namesMap.put("CV", "ਕੇਪ ਵਰਡੇ");
    namesMap.put("CW", "ਕੁਰਾਕਾਓ");
    namesMap.put("CX", "ਕ੍ਰਿਸਮਿਸ ਟਾਪੂ");
    namesMap.put("CY", "ਸਾਇਪ੍ਰਸ");
    namesMap.put("CZ", "ਚੈਕੀਆ");
    namesMap.put("DE", "ਜਰਮਨੀ");
    namesMap.put("DG", "ਡੀਇਗੋ ਗਾਰਸੀਆ");
    namesMap.put("DJ", "ਜ਼ੀਬੂਤੀ");
    namesMap.put("DK", "ਡੈਨਮਾਰਕ");
    namesMap.put("DM", "ਡੋਮੀਨਿਕਾ");
    namesMap.put("DO", "ਡੋਮੀਨਿਕਾਈ ਗਣਰਾਜ");
    namesMap.put("DZ", "ਅਲਜੀਰੀਆ");
    namesMap.put("EA", "ਸਿਓਟਾ ਅਤੇ ਮੇਲਿੱਲਾ");
    namesMap.put("EC", "ਇਕਵੇਡੋਰ");
    namesMap.put("EE", "ਇਸਟੋਨੀਆ");
    namesMap.put("EG", "ਮਿਸਰ");
    namesMap.put("EH", "ਪੱਛਮੀ ਸਹਾਰਾ");
    namesMap.put("ER", "ਇਰੀਟ੍ਰਿਆ");
    namesMap.put("ES", "ਸਪੇਨ");
    namesMap.put("ET", "ਇਥੋਪੀਆ");
    namesMap.put("EU", "ਯੂਰਪੀ ਸੰਘ");
    namesMap.put("EZ", "ਯੂਰੋਜ਼ੋਨ");
    namesMap.put("FI", "ਫਿਨਲੈਂਡ");
    namesMap.put("FJ", "ਫ਼ਿਜੀ");
    namesMap.put("FK", "ਫ਼ਾਕਲੈਂਡ ਟਾਪੂ");
    namesMap.put("FM", "ਮਾਇਕ੍ਰੋਨੇਸ਼ੀਆ");
    namesMap.put("FO", "ਫੈਰੋ ਟਾਪੂ");
    namesMap.put("FR", "ਫ਼ਰਾਂਸ");
    namesMap.put("GA", "ਗਬੋਨ");
    namesMap.put("GB", "ਯੂਨਾਈਟਡ ਕਿੰਗਡਮ");
    namesMap.put("GD", "ਗ੍ਰੇਨਾਡਾ");
    namesMap.put("GE", "ਜਾਰਜੀਆ");
    namesMap.put("GF", "ਫਰੈਂਚ ਗੁਇਆਨਾ");
    namesMap.put("GG", "ਗਰਨਜੀ");
    namesMap.put("GH", "ਘਾਨਾ");
    namesMap.put("GI", "ਜਿਬਰਾਲਟਰ");
    namesMap.put("GL", "ਗ੍ਰੀਨਲੈਂਡ");
    namesMap.put("GM", "ਗੈਂਬੀਆ");
    namesMap.put("GN", "ਗਿਨੀ");
    namesMap.put("GP", "ਗੁਆਡੇਲੋਪ");
    namesMap.put("GQ", "ਭੂ-ਖੰਡੀ ਗਿਨੀ");
    namesMap.put("GR", "ਗ੍ਰੀਸ");
    namesMap.put("GS", "ਦੱਖਣੀ ਜਾਰਜੀਆ ਅਤੇ ਦੱਖਣੀ ਸੈਂਡਵਿਚ ਟਾਪੂ");
    namesMap.put("GT", "ਗੁਆਟੇਮਾਲਾ");
    namesMap.put("GU", "ਗੁਆਮ");
    namesMap.put("GW", "ਗਿਨੀ-ਬਿਸਾਉ");
    namesMap.put("GY", "ਗੁਯਾਨਾ");
    namesMap.put("HK", "ਹਾਂਗ ਕਾਂਗ ਐਸਏਆਰ ਚੀਨ");
    namesMap.put("HM", "ਹਰਡ ਤੇ ਮੈਕਡੋਨਾਲਡ ਟਾਪੂ");
    namesMap.put("HN", "ਹੋਂਡੁਰਸ");
    namesMap.put("HR", "ਕਰੋਏਸ਼ੀਆ");
    namesMap.put("HT", "ਹੈਤੀ");
    namesMap.put("HU", "ਹੰਗਰੀ");
    namesMap.put("IC", "ਕੇਨਾਰੀ ਟਾਪੂ");
    namesMap.put("ID", "ਇੰਡੋਨੇਸ਼ੀਆ");
    namesMap.put("IE", "ਆਇਰਲੈਂਡ");
    namesMap.put("IL", "ਇਜ਼ਰਾਈਲ");
    namesMap.put("IM", "ਆਇਲ ਆਫ ਮੈਨ");
    namesMap.put("IN", "ਭਾਰਤ");
    namesMap.put("IO", "ਬਰਤਾਨਵੀ ਹਿੰਦ ਮਹਾਂਸਾਗਰ ਖਿੱਤਾ");
    namesMap.put("IQ", "ਇਰਾਕ");
    namesMap.put("IR", "ਈਰਾਨ");
    namesMap.put("IS", "ਆਈਸਲੈਂਡ");
    namesMap.put("IT", "ਇਟਲੀ");
    namesMap.put("JE", "ਜਰਸੀ");
    namesMap.put("JM", "ਜਮਾਇਕਾ");
    namesMap.put("JO", "ਜਾਰਡਨ");
    namesMap.put("JP", "ਜਪਾਨ");
    namesMap.put("KE", "ਕੀਨੀਆ");
    namesMap.put("KG", "ਕਿਰਗਿਜ਼ਸਤਾਨ");
    namesMap.put("KH", "ਕੰਬੋਡੀਆ");
    namesMap.put("KI", "ਕਿਰਬਾਤੀ");
    namesMap.put("KM", "ਕੋਮੋਰੋਸ");
    namesMap.put("KN", "ਸੇਂਟ ਕਿਟਸ ਐਂਡ ਨੇਵਿਸ");
    namesMap.put("KP", "ਉੱਤਰ ਕੋਰੀਆ");
    namesMap.put("KR", "ਦੱਖਣ ਕੋਰੀਆ");
    namesMap.put("KW", "ਕੁਵੈਤ");
    namesMap.put("KY", "ਕੇਮੈਨ ਟਾਪੂ");
    namesMap.put("KZ", "ਕਜ਼ਾਖਸਤਾਨ");
    namesMap.put("LA", "ਲਾਓਸ");
    namesMap.put("LB", "ਲੈਬਨਾਨ");
    namesMap.put("LC", "ਸੇਂਟ ਲੂਸੀਆ");
    namesMap.put("LI", "ਲਿਚੇਂਸਟਾਇਨ");
    namesMap.put("LK", "ਸ੍ਰੀ ਲੰਕਾ");
    namesMap.put("LR", "ਲਾਈਬੀਰੀਆ");
    namesMap.put("LS", "ਲੇਸੋਥੋ");
    namesMap.put("LT", "ਲਿਥੁਆਨੀਆ");
    namesMap.put("LU", "ਲਕਜ਼ਮਬਰਗ");
    namesMap.put("LV", "ਲਾਤਵੀਆ");
    namesMap.put("LY", "ਲੀਬੀਆ");
    namesMap.put("MA", "ਮੋਰੱਕੋ");
    namesMap.put("MC", "ਮੋਨਾਕੋ");
    namesMap.put("MD", "ਮੋਲਡੋਵਾ");
    namesMap.put("ME", "ਮੋਂਟੇਨੇਗਰੋ");
    namesMap.put("MF", "ਸੇਂਟ ਮਾਰਟਿਨ");
    namesMap.put("MG", "ਮੈਡਾਗਾਸਕਰ");
    namesMap.put("MH", "ਮਾਰਸ਼ਲ ਟਾਪੂ");
    namesMap.put("MK", "ਮੈਕਡੋਨੀਆ");
    namesMap.put("ML", "ਮਾਲੀ");
    namesMap.put("MM", "ਮਿਆਂਮਾਰ (ਬਰਮਾ)");
    namesMap.put("MN", "ਮੰਗੋਲੀਆ");
    namesMap.put("MO", "ਮਕਾਉ ਐਸਏਆਰ ਚੀਨ");
    namesMap.put("MP", "ਉੱਤਰੀ ਮਾਰੀਆਨਾ ਟਾਪੂ");
    namesMap.put("MQ", "ਮਾਰਟੀਨਿਕ");
    namesMap.put("MR", "ਮੋਰਿਟਾਨੀਆ");
    namesMap.put("MS", "ਮੋਂਟਸੇਰਾਤ");
    namesMap.put("MT", "ਮਾਲਟਾ");
    namesMap.put("MU", "ਮੌਰੀਸ਼ਸ");
    namesMap.put("MV", "ਮਾਲਦੀਵ");
    namesMap.put("MW", "ਮਲਾਵੀ");
    namesMap.put("MX", "ਮੈਕਸੀਕੋ");
    namesMap.put("MY", "ਮਲੇਸ਼ੀਆ");
    namesMap.put("MZ", "ਮੋਜ਼ਾਮਬੀਕ");
    namesMap.put("NA", "ਨਾਮੀਬੀਆ");
    namesMap.put("NC", "ਨਿਊ ਕੈਲੇਡੋਨੀਆ");
    namesMap.put("NE", "ਨਾਈਜਰ");
    namesMap.put("NF", "ਨੋਰਫੌਕ ਟਾਪੂ");
    namesMap.put("NG", "ਨਾਈਜੀਰੀਆ");
    namesMap.put("NI", "ਨਿਕਾਰਾਗੁਆ");
    namesMap.put("NL", "ਨੀਦਰਲੈਂਡ");
    namesMap.put("NO", "ਨਾਰਵੇ");
    namesMap.put("NP", "ਨੇਪਾਲ");
    namesMap.put("NR", "ਨਾਉਰੂ");
    namesMap.put("NU", "ਨਿਯੂ");
    namesMap.put("NZ", "ਨਿਊਜ਼ੀਲੈਂਡ");
    namesMap.put("OM", "ਓਮਾਨ");
    namesMap.put("PA", "ਪਨਾਮਾ");
    namesMap.put("PE", "ਪੇਰੂ");
    namesMap.put("PF", "ਫਰੈਂਚ ਪੋਲੀਨੇਸ਼ੀਆ");
    namesMap.put("PG", "ਪਾਪੂਆ ਨਿਊ ਗਿਨੀ");
    namesMap.put("PH", "ਫਿਲੀਪੀਨਜ");
    namesMap.put("PK", "ਪਾਕਿਸਤਾਨ");
    namesMap.put("PL", "ਪੋਲੈਂਡ");
    namesMap.put("PM", "ਸੇਂਟ ਪੀਅਰੇ ਐਂਡ ਮਿਕੇਲਨ");
    namesMap.put("PN", "ਪਿਟਕੇਰਨ ਟਾਪੂ");
    namesMap.put("PR", "ਪਿਊਰਟੋ ਰਿਕੋ");
    namesMap.put("PS", "ਫਿਲੀਸਤੀਨੀ ਇਲਾਕਾ");
    namesMap.put("PT", "ਪੁਰਤਗਾਲ");
    namesMap.put("PW", "ਪਲਾਉ");
    namesMap.put("PY", "ਪੈਰਾਗਵੇ");
    namesMap.put("QA", "ਕਤਰ");
    namesMap.put("QO", "ਆਊਟਲਾਇੰਗ ਓਸ਼ੀਨੀਆ");
    namesMap.put("RE", "ਰਿਯੂਨੀਅਨ");
    namesMap.put("RO", "ਰੋਮਾਨੀਆ");
    namesMap.put("RS", "ਸਰਬੀਆ");
    namesMap.put("RU", "ਰੂਸ");
    namesMap.put("RW", "ਰਵਾਂਡਾ");
    namesMap.put("SA", "ਸਾਊਦੀ ਅਰਬ");
    namesMap.put("SB", "ਸੋਲੋਮਨ ਟਾਪੂ");
    namesMap.put("SC", "ਸੇਸ਼ਲਸ");
    namesMap.put("SD", "ਸੂਡਾਨ");
    namesMap.put("SE", "ਸਵੀਡਨ");
    namesMap.put("SG", "ਸਿੰਗਾਪੁਰ");
    namesMap.put("SH", "ਸੇਂਟ ਹੇਲੇਨਾ");
    namesMap.put("SI", "ਸਲੋਵੇਨੀਆ");
    namesMap.put("SJ", "ਸਵਾਲਬਰਡ ਅਤੇ ਜਾਨ ਮਾਯੇਨ");
    namesMap.put("SK", "ਸਲੋਵਾਕੀਆ");
    namesMap.put("SL", "ਸਿਏਰਾ ਲਿਓਨ");
    namesMap.put("SM", "ਸੈਨ ਮਰੀਨੋ");
    namesMap.put("SN", "ਸੇਨੇਗਲ");
    namesMap.put("SO", "ਸੋਮਾਲੀਆ");
    namesMap.put("SR", "ਸੂਰੀਨਾਮ");
    namesMap.put("SS", "ਦੱਖਣ ਸੁਡਾਨ");
    namesMap.put("ST", "ਸਾਓ ਟੋਮ ਅਤੇ ਪ੍ਰਿੰਸੀਪੇ");
    namesMap.put("SV", "ਅਲ ਸਲਵਾਡੋਰ");
    namesMap.put("SX", "ਸਿੰਟ ਮਾਰਟੀਨ");
    namesMap.put("SY", "ਸੀਰੀਆ");
    namesMap.put("SZ", "ਸਵਾਜ਼ੀਲੈਂਡ");
    namesMap.put("TA", "ਟ੍ਰਿਸਟਾਨ ਦਾ ਕੁੰਹਾ");
    namesMap.put("TC", "ਟੁਰਕਸ ਅਤੇ ਕੈਕੋਸ ਟਾਪੂ");
    namesMap.put("TD", "ਚਾਡ");
    namesMap.put("TF", "ਫਰੈਂਚ ਦੱਖਣੀ ਪ੍ਰਦੇਸ਼");
    namesMap.put("TG", "ਟੋਗੋ");
    namesMap.put("TH", "ਥਾਈਲੈਂਡ");
    namesMap.put("TJ", "ਤਾਜਿਕਿਸਤਾਨ");
    namesMap.put("TK", "ਟੋਕੇਲਾਉ");
    namesMap.put("TL", "ਤਿਮੋਰ-ਲੇਸਤੇ");
    namesMap.put("TM", "ਤੁਰਕਮੇਨਿਸਤਾਨ");
    namesMap.put("TN", "ਟਿਊਨੀਸ਼ੀਆ");
    namesMap.put("TO", "ਟੌਂਗਾ");
    namesMap.put("TR", "ਤੁਰਕੀ");
    namesMap.put("TT", "ਟ੍ਰਿਨੀਡਾਡ ਅਤੇ ਟੋਬਾਗੋ");
    namesMap.put("TV", "ਟੁਵਾਲੂ");
    namesMap.put("TW", "ਤਾਇਵਾਨ");
    namesMap.put("TZ", "ਤਨਜ਼ਾਨੀਆ");
    namesMap.put("UA", "ਯੂਕਰੇਨ");
    namesMap.put("UG", "ਯੂਗਾਂਡਾ");
    namesMap.put("UM", "ਯੂ.ਐੱਸ. ਦੂਰ-ਦੁਰਾਡੇ ਟਾਪੂ");
    namesMap.put("UN", "ਸੰਯੁਕਤ ਰਾਸ਼ਟਰ");
    namesMap.put("US", "ਸੰਯੁਕਤ ਰਾਜ");
    namesMap.put("UY", "ਉਰੂਗਵੇ");
    namesMap.put("UZ", "ਉਜ਼ਬੇਕਿਸਤਾਨ");
    namesMap.put("VA", "ਵੈਟੀਕਨ ਸਿਟੀ");
    namesMap.put("VC", "ਸੇਂਟ ਵਿਨਸੈਂਟ ਐਂਡ ਗ੍ਰੇਨਾਡੀਨਸ");
    namesMap.put("VE", "ਵੇਨੇਜ਼ੂਏਲਾ");
    namesMap.put("VG", "ਬ੍ਰਿਟਿਸ਼ ਵਰਜਿਨ ਟਾਪੂ");
    namesMap.put("VI", "ਯੂ ਐੱਸ ਵਰਜਿਨ ਟਾਪੂ");
    namesMap.put("VN", "ਵੀਅਤਨਾਮ");
    namesMap.put("VU", "ਵਾਨੂਆਟੂ");
    namesMap.put("WF", "ਵਾਲਿਸ ਅਤੇ ਫੂਟੂਨਾ");
    namesMap.put("WS", "ਸਾਮੋਆ");
    namesMap.put("XK", "ਕੋਸੋਵੋ");
    namesMap.put("YE", "ਯਮਨ");
    namesMap.put("YT", "ਮਾਯੋਟੀ");
    namesMap.put("ZA", "ਦੱਖਣੀ ਅਫਰੀਕਾ");
    namesMap.put("ZM", "ਜ਼ਾਮਬੀਆ");
    namesMap.put("ZW", "ਜ਼ਿੰਬਾਬਵੇ");
    namesMap.put("ZZ", "ਅਣਪਛਾਤਾ ਇਲਾਕਾ");
  }

  @Override
  protected JavaScriptObject loadNameMapNative() {
    return overrideMap(super.loadNameMapNative(), loadMyNameMap());
  }

  private native JavaScriptObject loadMyNameMap() /*-{
    return {
        "001": "ਸੰਸਾਰ",
        "002": "ਅਫ਼ਰੀਕਾ",
        "003": "ਉੱਤਰ ਅਮਰੀਕਾ",
        "005": "ਦੱਖਣ ਅਮਰੀਕਾ",
        "009": "ਓਸ਼ੇਨੀਆ",
        "011": "ਪੱਛਮੀ ਅਫ਼ਰੀਕਾ",
        "013": "ਕੇਂਦਰੀ ਅਮਰੀਕਾ",
        "014": "ਪੂਰਬੀ ਅਫ਼ਰੀਕਾ",
        "015": "ਉੱਤਰੀ ਅਫ਼ਰੀਕਾ",
        "017": "ਮੱਧ ਅਫ਼ਰੀਕਾ",
        "018": "ਦੱਖਣੀ ਅਫ਼ਰੀਕਾ",
        "019": "ਅਮਰੀਕਾ",
        "021": "ਉੱਤਰੀ ਅਮਰੀਕਾ",
        "029": "ਕੈਰੇਬੀਆਈ",
        "030": "ਪੂਰਬੀ ਏਸ਼ੀਆ",
        "034": "ਦੱਖਣੀ ਏਸ਼ੀਆ",
        "035": "ਦੱਖਣ-ਪੂਰਬੀ ਏਸ਼ੀਆ",
        "039": "ਦੱਖਣੀ ਯੂਰਪ",
        "053": "ਆਸਟਰੇਲੇਸ਼ੀਆ",
        "054": "ਮੇਲਾਨੇਸ਼ੀਆ",
        "057": "ਮਾਇਕ੍ਰੋਨੇਸ਼ੀਆਈ ਇਲਾਕਾ",
        "061": "ਪੋਲੀਨੇਸ਼ੀਆ",
        "142": "ਏਸ਼ੀਆ",
        "143": "ਕੇਂਦਰੀ ਏਸ਼ੀਆ",
        "145": "ਪੱਛਮੀ ਏਸ਼ੀਆ",
        "150": "ਯੂਰਪ",
        "151": "ਪੂਰਬੀ ਯੂਰਪ",
        "154": "ਉੱਤਰੀ ਯੂਰਪ",
        "155": "ਪੱਛਮੀ ਯੂਰਪ",
        "202": "ਉਪ-ਸਹਾਰਾ ਅਫ਼ਰੀਕਾ",
        "419": "ਲਾਤੀਨੀ ਅਮਰੀਕਾ",
        "AC": "ਅਸੈਂਸ਼ਨ ਟਾਪੂ",
        "AD": "ਅੰਡੋਰਾ",
        "AE": "ਸੰਯੁਕਤ ਅਰਬ ਅਮੀਰਾਤ",
        "AF": "ਅਫ਼ਗਾਨਿਸਤਾਨ",
        "AG": "ਐਂਟੀਗੁਆ ਅਤੇ ਬਾਰਬੁਡਾ",
        "AI": "ਅੰਗੁਇਲਾ",
        "AL": "ਅਲਬਾਨੀਆ",
        "AM": "ਅਰਮੀਨੀਆ",
        "AO": "ਅੰਗੋਲਾ",
        "AQ": "ਅੰਟਾਰਕਟਿਕਾ",
        "AR": "ਅਰਜਨਟੀਨਾ",
        "AS": "ਅਮੈਰੀਕਨ ਸਮੋਆ",
        "AT": "ਆਸਟਰੀਆ",
        "AU": "ਆਸਟ੍ਰੇਲੀਆ",
        "AW": "ਅਰੂਬਾ",
        "AX": "ਅਲੈਂਡ ਟਾਪੂ",
        "AZ": "ਅਜ਼ਰਬਾਈਜਾਨ",
        "BA": "ਬੋਸਨੀਆ ਅਤੇ ਹਰਜ਼ੇਗੋਵੀਨਾ",
        "BB": "ਬਾਰਬਾਡੋਸ",
        "BD": "ਬੰਗਲਾਦੇਸ਼",
        "BE": "ਬੈਲਜੀਅਮ",
        "BF": "ਬੁਰਕੀਨਾ ਫ਼ਾਸੋ",
        "BG": "ਬੁਲਗਾਰੀਆ",
        "BH": "ਬਹਿਰੀਨ",
        "BI": "ਬੁਰੁੰਡੀ",
        "BJ": "ਬੇਨਿਨ",
        "BL": "ਸੇਂਟ ਬਾਰਥੇਲੇਮੀ",
        "BM": "ਬਰਮੂਡਾ",
        "BN": "ਬਰੂਨੇਈ",
        "BO": "ਬੋਲੀਵੀਆ",
        "BQ": "ਕੈਰੇਬੀਆਈ ਨੀਦਰਲੈਂਡ",
        "BR": "ਬ੍ਰਾਜ਼ੀਲ",
        "BS": "ਬਹਾਮਾਸ",
        "BT": "ਭੂਟਾਨ",
        "BV": "ਬੌਵੇਟ ਟਾਪੂ",
        "BW": "ਬੋਤਸਵਾਨਾ",
        "BY": "ਬੇਲਾਰੂਸ",
        "BZ": "ਬੇਲੀਜ਼",
        "CA": "ਕੈਨੇਡਾ",
        "CC": "ਕੋਕੋਸ (ਕੀਲਿੰਗ) ਟਾਪੂ",
        "CD": "ਕਾਂਗੋ - ਕਿੰਸ਼ਾਸਾ",
        "CF": "ਕੇਂਦਰੀ ਅਫ਼ਰੀਕੀ ਗਣਰਾਜ",
        "CG": "ਕਾਂਗੋ - ਬ੍ਰਾਜ਼ਾਵਿਲੇ",
        "CH": "ਸਵਿਟਜ਼ਰਲੈਂਡ",
        "CI": "ਕੋਟ ਡੀਵੋਆਰ",
        "CK": "ਕੁੱਕ ਟਾਪੂ",
        "CL": "ਚਿਲੀ",
        "CM": "ਕੈਮਰੂਨ",
        "CN": "ਚੀਨ",
        "CO": "ਕੋਲੰਬੀਆ",
        "CP": "ਕਲਿੱਪਰਟਨ ਟਾਪੂ",
        "CR": "ਕੋਸਟਾ ਰੀਕਾ",
        "CU": "ਕਿਊਬਾ",
        "CV": "ਕੇਪ ਵਰਡੇ",
        "CW": "ਕੁਰਾਕਾਓ",
        "CX": "ਕ੍ਰਿਸਮਿਸ ਟਾਪੂ",
        "CY": "ਸਾਇਪ੍ਰਸ",
        "CZ": "ਚੈਕੀਆ",
        "DE": "ਜਰਮਨੀ",
        "DG": "ਡੀਇਗੋ ਗਾਰਸੀਆ",
        "DJ": "ਜ਼ੀਬੂਤੀ",
        "DK": "ਡੈਨਮਾਰਕ",
        "DM": "ਡੋਮੀਨਿਕਾ",
        "DO": "ਡੋਮੀਨਿਕਾਈ ਗਣਰਾਜ",
        "DZ": "ਅਲਜੀਰੀਆ",
        "EA": "ਸਿਓਟਾ ਅਤੇ ਮੇਲਿੱਲਾ",
        "EC": "ਇਕਵੇਡੋਰ",
        "EE": "ਇਸਟੋਨੀਆ",
        "EG": "ਮਿਸਰ",
        "EH": "ਪੱਛਮੀ ਸਹਾਰਾ",
        "ER": "ਇਰੀਟ੍ਰਿਆ",
        "ES": "ਸਪੇਨ",
        "ET": "ਇਥੋਪੀਆ",
        "EU": "ਯੂਰਪੀ ਸੰਘ",
        "EZ": "ਯੂਰੋਜ਼ੋਨ",
        "FI": "ਫਿਨਲੈਂਡ",
        "FJ": "ਫ਼ਿਜੀ",
        "FK": "ਫ਼ਾਕਲੈਂਡ ਟਾਪੂ",
        "FM": "ਮਾਇਕ੍ਰੋਨੇਸ਼ੀਆ",
        "FO": "ਫੈਰੋ ਟਾਪੂ",
        "FR": "ਫ਼ਰਾਂਸ",
        "GA": "ਗਬੋਨ",
        "GB": "ਯੂਨਾਈਟਡ ਕਿੰਗਡਮ",
        "GD": "ਗ੍ਰੇਨਾਡਾ",
        "GE": "ਜਾਰਜੀਆ",
        "GF": "ਫਰੈਂਚ ਗੁਇਆਨਾ",
        "GG": "ਗਰਨਜੀ",
        "GH": "ਘਾਨਾ",
        "GI": "ਜਿਬਰਾਲਟਰ",
        "GL": "ਗ੍ਰੀਨਲੈਂਡ",
        "GM": "ਗੈਂਬੀਆ",
        "GN": "ਗਿਨੀ",
        "GP": "ਗੁਆਡੇਲੋਪ",
        "GQ": "ਭੂ-ਖੰਡੀ ਗਿਨੀ",
        "GR": "ਗ੍ਰੀਸ",
        "GS": "ਦੱਖਣੀ ਜਾਰਜੀਆ ਅਤੇ ਦੱਖਣੀ ਸੈਂਡਵਿਚ ਟਾਪੂ",
        "GT": "ਗੁਆਟੇਮਾਲਾ",
        "GU": "ਗੁਆਮ",
        "GW": "ਗਿਨੀ-ਬਿਸਾਉ",
        "GY": "ਗੁਯਾਨਾ",
        "HK": "ਹਾਂਗ ਕਾਂਗ ਐਸਏਆਰ ਚੀਨ",
        "HM": "ਹਰਡ ਤੇ ਮੈਕਡੋਨਾਲਡ ਟਾਪੂ",
        "HN": "ਹੋਂਡੁਰਸ",
        "HR": "ਕਰੋਏਸ਼ੀਆ",
        "HT": "ਹੈਤੀ",
        "HU": "ਹੰਗਰੀ",
        "IC": "ਕੇਨਾਰੀ ਟਾਪੂ",
        "ID": "ਇੰਡੋਨੇਸ਼ੀਆ",
        "IE": "ਆਇਰਲੈਂਡ",
        "IL": "ਇਜ਼ਰਾਈਲ",
        "IM": "ਆਇਲ ਆਫ ਮੈਨ",
        "IN": "ਭਾਰਤ",
        "IO": "ਬਰਤਾਨਵੀ ਹਿੰਦ ਮਹਾਂਸਾਗਰ ਖਿੱਤਾ",
        "IQ": "ਇਰਾਕ",
        "IR": "ਈਰਾਨ",
        "IS": "ਆਈਸਲੈਂਡ",
        "IT": "ਇਟਲੀ",
        "JE": "ਜਰਸੀ",
        "JM": "ਜਮਾਇਕਾ",
        "JO": "ਜਾਰਡਨ",
        "JP": "ਜਪਾਨ",
        "KE": "ਕੀਨੀਆ",
        "KG": "ਕਿਰਗਿਜ਼ਸਤਾਨ",
        "KH": "ਕੰਬੋਡੀਆ",
        "KI": "ਕਿਰਬਾਤੀ",
        "KM": "ਕੋਮੋਰੋਸ",
        "KN": "ਸੇਂਟ ਕਿਟਸ ਐਂਡ ਨੇਵਿਸ",
        "KP": "ਉੱਤਰ ਕੋਰੀਆ",
        "KR": "ਦੱਖਣ ਕੋਰੀਆ",
        "KW": "ਕੁਵੈਤ",
        "KY": "ਕੇਮੈਨ ਟਾਪੂ",
        "KZ": "ਕਜ਼ਾਖਸਤਾਨ",
        "LA": "ਲਾਓਸ",
        "LB": "ਲੈਬਨਾਨ",
        "LC": "ਸੇਂਟ ਲੂਸੀਆ",
        "LI": "ਲਿਚੇਂਸਟਾਇਨ",
        "LK": "ਸ੍ਰੀ ਲੰਕਾ",
        "LR": "ਲਾਈਬੀਰੀਆ",
        "LS": "ਲੇਸੋਥੋ",
        "LT": "ਲਿਥੁਆਨੀਆ",
        "LU": "ਲਕਜ਼ਮਬਰਗ",
        "LV": "ਲਾਤਵੀਆ",
        "LY": "ਲੀਬੀਆ",
        "MA": "ਮੋਰੱਕੋ",
        "MC": "ਮੋਨਾਕੋ",
        "MD": "ਮੋਲਡੋਵਾ",
        "ME": "ਮੋਂਟੇਨੇਗਰੋ",
        "MF": "ਸੇਂਟ ਮਾਰਟਿਨ",
        "MG": "ਮੈਡਾਗਾਸਕਰ",
        "MH": "ਮਾਰਸ਼ਲ ਟਾਪੂ",
        "MK": "ਮੈਕਡੋਨੀਆ",
        "ML": "ਮਾਲੀ",
        "MM": "ਮਿਆਂਮਾਰ (ਬਰਮਾ)",
        "MN": "ਮੰਗੋਲੀਆ",
        "MO": "ਮਕਾਉ ਐਸਏਆਰ ਚੀਨ",
        "MP": "ਉੱਤਰੀ ਮਾਰੀਆਨਾ ਟਾਪੂ",
        "MQ": "ਮਾਰਟੀਨਿਕ",
        "MR": "ਮੋਰਿਟਾਨੀਆ",
        "MS": "ਮੋਂਟਸੇਰਾਤ",
        "MT": "ਮਾਲਟਾ",
        "MU": "ਮੌਰੀਸ਼ਸ",
        "MV": "ਮਾਲਦੀਵ",
        "MW": "ਮਲਾਵੀ",
        "MX": "ਮੈਕਸੀਕੋ",
        "MY": "ਮਲੇਸ਼ੀਆ",
        "MZ": "ਮੋਜ਼ਾਮਬੀਕ",
        "NA": "ਨਾਮੀਬੀਆ",
        "NC": "ਨਿਊ ਕੈਲੇਡੋਨੀਆ",
        "NE": "ਨਾਈਜਰ",
        "NF": "ਨੋਰਫੌਕ ਟਾਪੂ",
        "NG": "ਨਾਈਜੀਰੀਆ",
        "NI": "ਨਿਕਾਰਾਗੁਆ",
        "NL": "ਨੀਦਰਲੈਂਡ",
        "NO": "ਨਾਰਵੇ",
        "NP": "ਨੇਪਾਲ",
        "NR": "ਨਾਉਰੂ",
        "NU": "ਨਿਯੂ",
        "NZ": "ਨਿਊਜ਼ੀਲੈਂਡ",
        "OM": "ਓਮਾਨ",
        "PA": "ਪਨਾਮਾ",
        "PE": "ਪੇਰੂ",
        "PF": "ਫਰੈਂਚ ਪੋਲੀਨੇਸ਼ੀਆ",
        "PG": "ਪਾਪੂਆ ਨਿਊ ਗਿਨੀ",
        "PH": "ਫਿਲੀਪੀਨਜ",
        "PK": "ਪਾਕਿਸਤਾਨ",
        "PL": "ਪੋਲੈਂਡ",
        "PM": "ਸੇਂਟ ਪੀਅਰੇ ਐਂਡ ਮਿਕੇਲਨ",
        "PN": "ਪਿਟਕੇਰਨ ਟਾਪੂ",
        "PR": "ਪਿਊਰਟੋ ਰਿਕੋ",
        "PS": "ਫਿਲੀਸਤੀਨੀ ਇਲਾਕਾ",
        "PT": "ਪੁਰਤਗਾਲ",
        "PW": "ਪਲਾਉ",
        "PY": "ਪੈਰਾਗਵੇ",
        "QA": "ਕਤਰ",
        "QO": "ਆਊਟਲਾਇੰਗ ਓਸ਼ੀਨੀਆ",
        "RE": "ਰਿਯੂਨੀਅਨ",
        "RO": "ਰੋਮਾਨੀਆ",
        "RS": "ਸਰਬੀਆ",
        "RU": "ਰੂਸ",
        "RW": "ਰਵਾਂਡਾ",
        "SA": "ਸਾਊਦੀ ਅਰਬ",
        "SB": "ਸੋਲੋਮਨ ਟਾਪੂ",
        "SC": "ਸੇਸ਼ਲਸ",
        "SD": "ਸੂਡਾਨ",
        "SE": "ਸਵੀਡਨ",
        "SG": "ਸਿੰਗਾਪੁਰ",
        "SH": "ਸੇਂਟ ਹੇਲੇਨਾ",
        "SI": "ਸਲੋਵੇਨੀਆ",
        "SJ": "ਸਵਾਲਬਰਡ ਅਤੇ ਜਾਨ ਮਾਯੇਨ",
        "SK": "ਸਲੋਵਾਕੀਆ",
        "SL": "ਸਿਏਰਾ ਲਿਓਨ",
        "SM": "ਸੈਨ ਮਰੀਨੋ",
        "SN": "ਸੇਨੇਗਲ",
        "SO": "ਸੋਮਾਲੀਆ",
        "SR": "ਸੂਰੀਨਾਮ",
        "SS": "ਦੱਖਣ ਸੁਡਾਨ",
        "ST": "ਸਾਓ ਟੋਮ ਅਤੇ ਪ੍ਰਿੰਸੀਪੇ",
        "SV": "ਅਲ ਸਲਵਾਡੋਰ",
        "SX": "ਸਿੰਟ ਮਾਰਟੀਨ",
        "SY": "ਸੀਰੀਆ",
        "SZ": "ਸਵਾਜ਼ੀਲੈਂਡ",
        "TA": "ਟ੍ਰਿਸਟਾਨ ਦਾ ਕੁੰਹਾ",
        "TC": "ਟੁਰਕਸ ਅਤੇ ਕੈਕੋਸ ਟਾਪੂ",
        "TD": "ਚਾਡ",
        "TF": "ਫਰੈਂਚ ਦੱਖਣੀ ਪ੍ਰਦੇਸ਼",
        "TG": "ਟੋਗੋ",
        "TH": "ਥਾਈਲੈਂਡ",
        "TJ": "ਤਾਜਿਕਿਸਤਾਨ",
        "TK": "ਟੋਕੇਲਾਉ",
        "TL": "ਤਿਮੋਰ-ਲੇਸਤੇ",
        "TM": "ਤੁਰਕਮੇਨਿਸਤਾਨ",
        "TN": "ਟਿਊਨੀਸ਼ੀਆ",
        "TO": "ਟੌਂਗਾ",
        "TR": "ਤੁਰਕੀ",
        "TT": "ਟ੍ਰਿਨੀਡਾਡ ਅਤੇ ਟੋਬਾਗੋ",
        "TV": "ਟੁਵਾਲੂ",
        "TW": "ਤਾਇਵਾਨ",
        "TZ": "ਤਨਜ਼ਾਨੀਆ",
        "UA": "ਯੂਕਰੇਨ",
        "UG": "ਯੂਗਾਂਡਾ",
        "UM": "ਯੂ.ਐੱਸ. ਦੂਰ-ਦੁਰਾਡੇ ਟਾਪੂ",
        "UN": "ਸੰਯੁਕਤ ਰਾਸ਼ਟਰ",
        "US": "ਸੰਯੁਕਤ ਰਾਜ",
        "UY": "ਉਰੂਗਵੇ",
        "UZ": "ਉਜ਼ਬੇਕਿਸਤਾਨ",
        "VA": "ਵੈਟੀਕਨ ਸਿਟੀ",
        "VC": "ਸੇਂਟ ਵਿਨਸੈਂਟ ਐਂਡ ਗ੍ਰੇਨਾਡੀਨਸ",
        "VE": "ਵੇਨੇਜ਼ੂਏਲਾ",
        "VG": "ਬ੍ਰਿਟਿਸ਼ ਵਰਜਿਨ ਟਾਪੂ",
        "VI": "ਯੂ ਐੱਸ ਵਰਜਿਨ ਟਾਪੂ",
        "VN": "ਵੀਅਤਨਾਮ",
        "VU": "ਵਾਨੂਆਟੂ",
        "WF": "ਵਾਲਿਸ ਅਤੇ ਫੂਟੂਨਾ",
        "WS": "ਸਾਮੋਆ",
        "XK": "ਕੋਸੋਵੋ",
        "YE": "ਯਮਨ",
        "YT": "ਮਾਯੋਟੀ",
        "ZA": "ਦੱਖਣੀ ਅਫਰੀਕਾ",
        "ZM": "ਜ਼ਾਮਬੀਆ",
        "ZW": "ਜ਼ਿੰਬਾਬਵੇ",
        "ZZ": "ਅਣਪਛਾਤਾ ਇਲਾਕਾ"
    };
  }-*/;
}
