/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;
// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA

/**
 * Implementation of DateTimeFormatInfo for the "az_Cyrl" locale.
 */
public class DateTimeFormatInfoImpl_az_Cyrl extends DateTimeFormatInfoImpl_az {

  @Override
  public String[] ampms() {
    return new String[] {
        "АМ",
        "ПМ"
    };
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "ерамыздан әввәл",
        "јени ера"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "е.ә.",
        "ј.е."
    };
  }

  @Override
  public String formatMonthFullDay() {
    return "MMMM d";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM, y";
  }

  @Override
  public String formatYearMonthFull() {
    return "y MMMM";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "јанвар",
        "феврал",
        "март",
        "апрел",
        "май",
        "ијун",
        "ијул",
        "август",
        "сентјабр",
        "октјабр",
        "нојабр",
        "декабр"
    };
  }

  @Override
  public String[] monthsFullStandalone() {
    return new String[] {
        "Јанвар",
        "Феврал",
        "Март",
        "Апрел",
        "Май",
        "Ијун",
        "Ијул",
        "Август",
        "Сентјабр",
        "Октјабр",
        "Нојабр",
        "Декабр"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "јан",
        "фев",
        "мар",
        "апр",
        "май",
        "ијн",
        "ијл",
        "авг",
        "сен",
        "окт",
        "ној",
        "дек"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "1-ҹи квартал",
        "2-ҹи квартал",
        "3-ҹү квартал",
        "4-ҹү квартал"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "1-ҹи кв.",
        "2-ҹи кв.",
        "3-ҹү кв.",
        "4-ҹү кв."
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "базар",
        "базар ертәси",
        "чәршәнбә ахшамы",
        "чәршәнбә",
        "ҹүмә ахшамы",
        "ҹүмә",
        "шәнбә"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Б.",
        "Б.Е.",
        "Ч.А.",
        "Ч.",
        "Ҹ.А.",
        "Ҹ.",
        "Ш."
    };
  }
}
