/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;
// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA

/**
 * Implementation of DateTimeFormatInfo for the "gd" locale.
 */
public class DateTimeFormatInfoImpl_gd extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "m",
        "f"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, d'mh' MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d'mh' MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "dd/MM/y";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Ro Chrìosta",
        "An dèidh Chrìosta"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "RC",
        "AD"
    };
  }

  @Override
  public String formatHour12Minute() {
    return "h:mma";
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d'mh' MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, d MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d/M";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "LLL Y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "LLLL y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d'mh' MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "L/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "d/M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, d MMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "dhen Fhaoilleach",
        "dhen Ghearran",
        "dhen Mhàrt",
        "dhen Ghiblean",
        "dhen Chèitean",
        "dhen Ògmhios",
        "dhen Iuchar",
        "dhen Lùnastal",
        "dhen t-Sultain",
        "dhen Dàmhair",
        "dhen t-Samhain",
        "dhen Dùbhlachd"
    };
  }

  @Override
  public String[] monthsFullStandalone() {
    return new String[] {
        "Am Faoilleach",
        "An Gearran",
        "Am Màrt",
        "An Giblean",
        "An Cèitean",
        "An t-Ògmhios",
        "An t-Iuchar",
        "An Lùnastal",
        "An t-Sultain",
        "An Dàmhair",
        "An t-Samhain",
        "An Dùbhlachd"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "F",
        "G",
        "M",
        "G",
        "C",
        "Ò",
        "I",
        "L",
        "S",
        "D",
        "S",
        "D"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Faoi",
        "Gearr",
        "Màrt",
        "Gibl",
        "Cèit",
        "Ògmh",
        "Iuch",
        "Lùna",
        "Sult",
        "Dàmh",
        "Samh",
        "Dùbh"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "1d chairteal",
        "2na cairteal",
        "3s cairteal",
        "4mh cairteal"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "C1",
        "C2",
        "C3",
        "C4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "DiDòmhnaich",
        "DiLuain",
        "DiMàirt",
        "DiCiadain",
        "DiarDaoin",
        "DihAoine",
        "DiSathairne"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "D",
        "L",
        "M",
        "C",
        "A",
        "H",
        "S"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "DiD",
        "DiL",
        "DiM",
        "DiC",
        "Dia",
        "Dih",
        "DiS"
    };
  }
}
