/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;
// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA

/**
 * Implementation of DateTimeFormatInfo for the "ksh" locale.
 */
public class DateTimeFormatInfoImpl_ksh extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "v.M.",
        "n.M."
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, 'dä' d. MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d. MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d. MMM. y";
  }

  @Override
  public String dateFormatShort() {
    return "d. M. y";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "vür Krestos",
        "noh Krestos"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "v. Chr.",
        "n. Chr."
    };
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d. MMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d. MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE d. MMMM";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d. MMM. y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d. MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "Y-MM";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "y-MM-dd";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE d. MMM. y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Qy";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Jannewa",
        "Fäbrowa",
        "Määz",
        "Aprell",
        "Mai",
        "Juuni",
        "Juuli",
        "Oujoß",
        "Septämber",
        "Oktohber",
        "Novämber",
        "Dezämber"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "J",
        "F",
        "M",
        "A",
        "M",
        "J",
        "J",
        "O",
        "S",
        "O",
        "N",
        "D"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Jan",
        "Fäb",
        "Mäz",
        "Apr",
        "Mai",
        "Jun",
        "Jul",
        "Ouj",
        "Säp",
        "Okt",
        "Nov",
        "Dez"
    };
  }

  @Override
  public String[] monthsShortStandalone() {
    return new String[] {
        "Jan.",
        "Fäb.",
        "Mäz.",
        "Apr.",
        "Mai",
        "Jun.",
        "Jul.",
        "Ouj.",
        "Säp.",
        "Okt.",
        "Nov.",
        "Dez."
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "1. Quattahl",
        "2. Quattahl",
        "3. Quattahl",
        "4. Quattahl"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "1.Q.",
        "2.Q.",
        "3.Q.",
        "4.Q."
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Sunndaach",
        "Mohndaach",
        "Dinnsdaach",
        "Metwoch",
        "Dunnersdaach",
        "Friidaach",
        "Samsdaach"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "S",
        "M",
        "D",
        "M",
        "D",
        "F",
        "S"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Su.",
        "Mo.",
        "Di.",
        "Me.",
        "Du.",
        "Fr.",
        "Sa."
    };
  }
}
