/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;
// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA

/**
 * Implementation of DateTimeFormatInfo for the "ti" locale.
 */
public class DateTimeFormatInfoImpl_ti extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "ንጉሆ ሰዓተ",
        "ድሕር ሰዓት"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE፣ dd MMMM መዓልቲ y G";
  }

  @Override
  public String dateFormatLong() {
    return "dd MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "dd-MMM-y";
  }

  @Override
  public String dateFormatShort() {
    return "dd/MM/yy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "ዓ/ዓ",
        "ዓመተ ምህረት"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "ዓ/ዓ",
        "ዓ/ም"
    };
  }

  @Override
  public int firstDayOfTheWeek() {
    return 0;
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "y-MM-dd";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "ጥሪ",
        "ለካቲት",
        "መጋቢት",
        "ሚያዝያ",
        "ግንቦት",
        "ሰነ",
        "ሓምለ",
        "ነሓሰ",
        "መስከረም",
        "ጥቅምቲ",
        "ሕዳር",
        "ታሕሳስ"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "ጥ",
        "ለ",
        "መ",
        "ሚ",
        "ግ",
        "ሰ",
        "ሓ",
        "ነ",
        "መ",
        "ጥ",
        "ሕ",
        "ታ"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "ጥሪ",
        "ለካ",
        "መጋ",
        "ሚያ",
        "ግን",
        "ሰነ",
        "ሓም",
        "ነሓ",
        "መስ",
        "ጥቅ",
        "ሕዳ",
        "ታሕ"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "ቀዳማይ ርብዒ",
        "ካልኣይ ርብዒ",
        "ሳልሳይ ርብዒ",
        "ራብዓይ ርብዒ"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "ር1",
        "ር2",
        "ር3",
        "ር4"
    };
  }

  @Override
  public String timeFormatFull() {
    return "h:mm:ss a zzzz";
  }

  @Override
  public String timeFormatLong() {
    return "h:mm:ss a z";
  }

  @Override
  public String timeFormatMedium() {
    return "h:mm:ss a";
  }

  @Override
  public String timeFormatShort() {
    return "h:mm a";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "ሰንበት",
        "ሰኑይ",
        "ሠሉስ",
        "ረቡዕ",
        "ኃሙስ",
        "ዓርቢ",
        "ቀዳም"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "ሰ",
        "ሰ",
        "ሰ",
        "ረ",
        "ሓ",
        "ዓ",
        "ቀ"
    };
  }

  @Override
  public String[] weekdaysNarrowStandalone() {
    return new String[] {
        "ሰ",
        "ሰ",
        "ሠ",
        "ረ",
        "ሓ",
        "ዓ",
        "ቀ"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "ሰን",
        "ሰኑ",
        "ሰሉ",
        "ረቡ",
        "ሓሙ",
        "ዓር",
        "ቀዳ"
    };
  }
}
