/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;
// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA

/**
 * Implementation of DateTimeFormatInfo for the "wo" locale.
 */
public class DateTimeFormatInfoImpl_wo extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "Sub",
        "Ngo"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, d MMM, y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM, y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM, y";
  }

  @Override
  public String dateFormatShort() {
    return "dd-MM-y";
  }

  @Override
  public String dateTimeFull(String timePattern, String datePattern) {
    return datePattern + " 'ci' " + timePattern;
  }

  @Override
  public String dateTimeLong(String timePattern, String datePattern) {
    return datePattern + " 'ci' " + timePattern;
  }

  @Override
  public String dateTimeMedium(String timePattern, String datePattern) {
    return datePattern + " - " + timePattern;
  }

  @Override
  public String dateTimeShort(String timePattern, String datePattern) {
    return datePattern + " - " + timePattern;
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "av. JC",
        "AD"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "JC",
        "AD"
    };
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, d MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "dd-MM";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM, y";
  }

  @Override
  public String formatYearMonthNum() {
    return "MM-y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "dd-MM-y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, d MMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Samwiyee",
        "Fewriyee",
        "Mars",
        "Awril",
        "Mee",
        "Suwe",
        "Sulet",
        "Ut",
        "Sàttumbar",
        "Oktoobar",
        "Nowàmbar",
        "Desàmbar"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7",
        "8",
        "9",
        "10",
        "11",
        "12"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Sam",
        "Few",
        "Mar",
        "Awr",
        "Mee",
        "Suw",
        "Sul",
        "Ut",
        "Sàt",
        "Okt",
        "Now",
        "Des"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "1er Trimestar",
        "2e Trimestar",
        "3e Trimestar",
        "4e Trimestar"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "1er Tri",
        "2e Tri",
        "3e Tri",
        "4e Tri"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Dibéer",
        "Altine",
        "Talaata",
        "Àlarba",
        "Alxamis",
        "Àjjuma",
        "Aseer"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "Dib",
        "Alt",
        "Tal",
        "Àla",
        "Alx",
        "Àjj",
        "Ase"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Dib",
        "Alt",
        "Tal",
        "Àla",
        "Alx",
        "Àjj",
        "Ase"
    };
  }
}
